function absmin

% ABSMIN: find local absolute minimum on any kinematic curve
%
%      ABSMIN finds the next local absolute minimum to the right of
%      the left cursor on any activated track.
%      N. Nguyen, Feb. 96

global h_axes h_lines

ntrack = fndtrack('ACTIVE');

if isempty(ntrack)
  return;
end

t = get(h_lines(ntrack),'XData');
y = get(h_lines(ntrack),'YData');

y = abs(y);

crsr1 = crsrloc(1);
crsr2 = crsrloc(2);

pt = get(gca,'CurrentPoint');

if abs(pt(1,1) - crsr1) < abs(pt(1,1) - crsr2)
  t1 = crsr1;
  crsr = 1;
else
  t1 = crsr2;
  crsr = 2;
end

samp = find(t >= t1);

slope = sign(y(samp(1)) - y(samp(2)));
 
for i = 2:(length(samp)-1)

  if sign(y(samp(i)) - y(samp(i+1))) == -slope

    break;

  end

end

crsrmove(crsr,t(samp(i)) - t1);

