function activate(track_nb)

% ACTIVATE: activate the current track.
%
%	See also: CLRTRACK, FNDTRACK, MKTRACKS, REFRAXES.

%	N. Nguyen, July 95, 18/09/95

%global h_axes
h_axes = findobj(gcf,'Type','Axes');
if nargin == 1

  if track_nb > 1
    h_current_axes = h_axes(track_nb);
  end

elseif nargin == 0

  if gca ~= h_axes(1)
    h_current_axes = gca;
  else
    return;
  end

else

  return;

end

set(h_current_axes,'Selected','on','Tag','ACTIVE');

set(h_axes(h_axes ~= h_current_axes),'Selected','off');

set(findobj(h_axes(h_axes ~= h_current_axes),'Tag','ACTIVE'),...
    'Tag','');
