function clrtrack(ntrack)

% CLRTRACK: clear the active track.
%
%	CLRTRACK simply makes the line displayed in the
%	active track invisible. The 'TIM' label (stored
%	in the line's UserData property) is replaced by
%	'FREE'.
%
%	See also: ACTIVATE, FNDTRACK, MKTRACKS, REFRAXES.

%	N. Nguyen, July 95, 18/09/95

%global h_axes
%find every axis belonging to any figure with an Ematools tag  
h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');

if nargin == 1
  h = h_axes(ntrack);

elseif nargin == 0
  
  h = findobj(gcf,'Type','axes','Selected','on');

  if isempty(h)
    return;
  end

else

  return;

end

set(h,'Selected','off','Tag','FREE');

set(findobj(h,'Type','line'),'Visible','off');
delete(findobj(h,'Tag','Spectrogram'));
