function copyfig(h_fig1,loc)

% COPYFIG: copy EMA display in a new window
%
%      See also: PRINTFIG

%      N. Nguyen, April 96

if nargin == 0

  fprintf(1,'\n\nSelect figure to copy.\n');

  h_fig = findobj('Type','figure');

  set(h_fig,'Pointer','fleur');
  
  waitforbuttonpress;

  h_fig1 = gcf;

  set(h_fig,'Pointer','arrow');

end

if isempty(findstr(get(h_fig1,'Name'),'EMA'))
  fprintf(1,'\nSorry. This program only works for EMA displays.\n');
  return;
else
  h_axes1 = findobj(h_fig1,'Type','axes');
  if isempty(h_axes1)
    error('No plot to copy.');  delete(get(h_axes2,'Children'));
    return;
  end

end

if nargin == 0
  loc = input('(a)dd to existing Copy) / (n)ew Copy: ','s');
end

if findstr(loc,'a')
  h_fig2 = findobj('Type','figure','Name','Copy');
  if isempty(h_fig2)
    error('No copy available.');
    return;
  else
    h_fig2 = max(h_fig2);			% most recent copy
    figure(h_fig2);
    h_axes2 = findobj(h_fig2,'Type','axes');
    h_obj1 = get(h_axes1,'Children');
    for i = 1:length(h_obj1)
      set(copyobj(h_obj1(i),h_axes1),'Parent',h_axes2,'UserData',[]);
    end
  end

elseif findstr(loc,'n');

  h_fig2 = figure;
  set(h_fig2,'Name','Copy','NumberTitle','off','UserData','EMA Tools');
  h_axes2 = copyobj(h_axes1,h_fig1);
  set(h_axes2,'Parent',h_fig2);

end








