function createpal(track,filename)

% CREATE PALATE TRACE:create emapal.m file 
%
%        A. Wrench, Oct 98

global ema epg
global aud_sr tlim h_axes
global ema_sr
global NTRACKS
global h_lines


	FILEDIR =  [pwd '/' ];

name = input ('filename prefix (default: mjn01): ','s');
if strcmp(name, '')
	name = 'mjn01';
end
item = input ('item # (default: 1): ','s');

if strcmp(item,'')
  item = '1';
end

nitems = 99;

if str2num (item) < 1 | str2num (item) > nitems
  error ('wrong item number');
end

nchans = input ('Total number of coils recorded (default: 10): ','s');
if strcmp(nchans,'')
  nchans = '10';
end
nchannum = str2num(nchans);

track = input ('Palate trace coil # (default: 9): ','s');
if strcmp(track,'')
  track = '9';
end
trknum = str2num(track);
%convert item to 2 digit ascii
full_num = '00';
l = length (item);
shift = 2 - l;
for i = 1:l
  full_num (i+shift) = item (i);
end
item = full_num;

fprintf('Loading...\n');
filename = [FILEDIR name '.' item '.ema'];
fprintf('%s\n', filename);
eval(['load ' filename ' -mat;']);
fprintf('...done.\n');
%-------------------------------
%Select palate trace
%-----------------------------------------
x = trknum;
y = trknum + 10;
pal = ema(:,[x y]);

figure;
plot(pal(:,1),pal(:,2));
%eval(['save ' filename pal ' -ascii;']);
fid = fopen('emapal.m', 'w+');
fprintf(fid,'function pal = %spal\n\n',name);
fprintf(fid,'%%Palate trace derived from track %s in %s\n\n',track,filename);
fprintf(fid,'pal = [...\n');
len = length(pal(:,1));
fprintf(fid,'%f\t%f\n',pal');
fprintf(fid,'];\n');
fclose(fid);

