function h_crsr = crsrmake(h_axes,name,posit,color)

% CRSRMAKE: create two cursors on the axes pointed to by the handle h_axes.
%
%	See also: CRSRLOC, CRSRMMOV, TRCKCRSR.

%       Dennis W. Brown 1-10-94, DWB 5-6-94
%       Copyright (c) 1994 by Dennis W. Brown
%
%	modified version, N. Nguyen, July 95, 18/09/95

xlim = get(h_axes,'XLim');
ylim = get(h_axes,'YLim');

if posit < xlim(1) | posit > xlim(2)

  error('crsrmake: Cursor location out of axes range...');

end

axes(h_axes);

h_crsr = line('Erasemode','xor','Color',color,'LineStyle','-',...
              'Xdata',[posit posit],'Ydata',ylim,'Visible','on',...
              'Userdata',name,'Tag','Cursor');


