function t = crsrmmov(cursor)

% CRSRMMOV: move cursor with mouse.
%
%	See also: CRSRLOC, CRSRMAKE, TRCKCRSR.

%       Dennis W. Brown 1-10-94
%       Copyright (c) 1994 by Dennis W. Brown
%
%	modified version, N. Nguyen, July 95, 18/09/95

% get handles of axes and associated objects

%global h_axes h_lines h_crsr h_val
global tlim %tmin tmax
%find every axis belonging to any figure with an Ematools tag  
h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');
%find any lines belonging to these axes with a waveform tag (ie. not a cursor tag)
h_lines = findobj(h_axes,'Tag','WaveForm');
%find ant cursors belonging to these axes
h_crsr = findobj(h_axes,'Tag','Cursor','Userdata',cursor);
%find all tmax tmin and period values for these axes
list = get(h_axes,'Userdata');
for i=1:length(list) 
   tmax(i)=list{i,1}(1,1);
   tmin(i)=list{i,1}(1,2);
   period(i)=list{i,1}(1,3);
end
% Obtain coordinates of mouse click location in axes units
pt = get(h_axes(1),'Currentpoint');

t = pt(1,1);

% check to see if move will go past axis limits
t = max([t tmin tlim(1)]);
t = min([t tmax tlim(2)]);

set(h_crsr,'XData',[t t]);
for i = 1:length(h_lines)
   %recalculate tmin and period in case the number of lines neq axes
   h_axes = get(h_lines(i),'Parent');
   list = get(h_axes,'Userdata');
   tmin(i) = list(1,2);
   period(i) = list(1,3);
   %period = get(get(get(h_lines(i),'Parent'),'xlabel'),'UserData');

  y = get(h_lines(i),'YData');

  samp = floor((t - tmin(i)) / period(i)) + 1;

  y = y(samp);
  string = sprintf('%6d / %7.3f / %9.3f',samp,t,y);
  h_val = findobj(h_axes,'Tag','CursorText','UserData',cursor);
  set(h_val,'String',string);

end

