function cursor(action)
persistent h_fig h_axes h_currentaxes h_crsr h_lines h_val h_time h_amp t tmax tmin period
persistent ema_tag epg_tag fft_tag
global tlim
switch action
   
case 'start'
   set(gcbf,'WindowButtonMotionFcn', 'cursor move')
   set(gcbf,'WindowButtonUpFcn', 'cursor stop')
   cursor prep
   cursor select
   cursor move
   
case 'status1'
   cursor prep
   [h_crsr h_val h_time h_amp ema_tag epg_tag fft_tag] = setCursor1(h_fig,h_axes);   
   t = crsrloc(1);
   cursor update
case 'status2'
   cursor prep
   [h_crsr h_val h_time h_amp ema_tag epg_tag fft_tag] = setCursor2(h_fig,h_axes);   
   t = crsrloc(2);
   cursor update
   
case 'inc1'
   cursor prep
   [h_crsr h_val h_time h_amp ema_tag epg_tag fft_tag] = setCursor1(h_fig,h_axes);   
   stepsize = 0.001;
   t = crsrloc(1) + stepsize;
   cursor update

case 'inc2'
   cursor prep
   [h_crsr h_val h_time h_amp ema_tag epg_tag fft_tag] = setCursor2(h_fig,h_axes);   
   stepsize = 0.001;
   t = crsrloc(2) + stepsize;
   cursor update
case 'dec1'
   cursor prep
   [h_crsr h_val h_time h_amp ema_tag epg_tag fft_tag] = setCursor1(h_fig,h_axes);   
   stepsize = -0.001;
   t = crsrloc(1) + stepsize;
   cursor update
case 'dec2'
   cursor prep
   [h_crsr h_val h_time h_amp ema_tag epg_tag fft_tag] = setCursor2(h_fig,h_axes);   
   stepsize = -0.001;
   t = crsrloc(2) + stepsize;
   cursor update
   
case 'prep'
   h_fig = findobj(0,'Tag','EmaTools-Waveform');
	%find every axis belonging to any figure with an Ematools tag  
	h_axes = findobj(h_fig,'Type','axes');
	%find any lines belonging to these axes with a waveform tag (ie. not a cursor tag)
   h_lines = findobj(h_axes,'Tag','WaveForm','Selected','On');
   %h_currentaxes = findobj(h_fig,'Type','axes','Selected','On');
   h_currentaxes = gettrack('ACTIVE');

	%find all tmax tmin and period values for these axes
	list = get(h_axes,'Userdata');
	for i=1:length(list) 
   	tmax(i)=list{i,1}(1,1);
   	tmin(i)=list{i,1}(1,2);
   	period(i)=list{i,1}(1,3);
   end
   
case 'select'
	crsr1 = crsrloc(1);

	crsr2 = crsrloc(2);

	pt = get(gca,'CurrentPoint');

	if abs(pt(1,1) - crsr1) < abs(pt(1,1) - crsr2) 
   	[h_crsr h_val h_time h_amp ema_tag epg_tag fft_tag] = setCursor1(h_fig,h_axes);   
   else
   	[h_crsr h_val h_time h_amp ema_tag epg_tag fft_tag] = setCursor2(h_fig,h_axes);   
   end

case 'move'
   
	% Obtain coordinates of mouse click location in axes units
	pt = get(h_currentaxes,'Currentpoint');

	t = pt(1,1);
	cursor update

case 'update'
   % check to see if move will go past axis limits
   
   t = max([t tmin tlim(1)]);
	t = min([t tmax tlim(2)]);
	set(h_crsr,'XData',[t t]);
	string = cell(length(h_lines),1);
	for i = 1:length(h_lines)
  		y = get(h_lines(i),'YData');

  		samp = floor((t - tmin(i)) / period(i)) + 1;

		y = y(samp);
  		string(i) = {sprintf('%dHz %6.3fs %6d(samp) %9.3f',ceil(1.0/period(i)),t,samp,y)};
	   %set(h_val(i),'String',string);
   end
   set(h_val,{'Visible'},{'Off'});
   set(h_val,{'String'},string);
   %string = sprintf('Time(s)\n%7.3f',t);
   %set(h_time,'String',string);
   set(h_time,'String',get(h_amp,'String'));
   plotema(ema_tag,t);
   plotepg(epg_tag,t);
   plotfft(fft_tag,t);
   
case 'stop'
   set(gcbf,'WindowButtonMotionFcn', '')
   set(gcbf,'WindowButtonUpFcn', '')
   
end

function [h_crsr, h_val, h_time, h_amp, ema_tag, epg_tag, fft_tag] = setCursor1(h_fig,h_axes)
   	h_crsr = findobj(h_axes,'Tag','Cursor','Userdata',1);
      h_val = findobj(h_axes,'Tag','CursorText','UserData',1);
      h_time = findobj(h_fig,'Tag','CursorTime','UserData',1);
      h_currentaxes = findobj(h_axes,'Selected','On')
      h_amp = findobj(h_currentaxes,'Tag','CursorText','UserData',1);
      ema_tag = 'EMA1';fft_tag = 'FFT1';epg_tag = 'EPG1';

function [h_crsr, h_val, h_time, h_amp, ema_tag, epg_tag, fft_tag] = setCursor2(h_fig,h_axes)
		h_crsr = findobj(h_axes,'Tag','Cursor','Userdata',2);
      h_val = findobj(h_axes,'Tag','CursorText','UserData',2);
      h_time = findobj(h_fig,'Tag','CursorTime','UserData',2);
      h_currentaxes = findobj(h_axes,'Selected','On');
      h_amp = findobj(h_currentaxes,'Tag','CursorText','UserData',2);
      ema_tag = 'EMA2';fft_tag = 'FFT2';epg_tag = 'EPG2';
