function deltrack

% DELTRACK: add a track in the current window
%
%	See also: MKMENUS.

%	A.Wrench Dec 1999

%global h_axes h_lines h_crsr h_val
%global tlim tmin tmax
%global h_specgram
global tlim %tmin tmax
if strcmp('LAB',get(gca,'Tag'))
   mrkrdelall;
end
%find every axis belonging to THE CURRENT figure with an Ematools tag  
h_axes = findobj(gcf,'Type','axes');
h_axes = sort(h_axes);
h_xlabel = get(h_axes(length(h_axes)),'xlabel');
delete(gettrack('ACTIVE'));
h_axes = findobj(gcf,'Type','axes');
h_axes = sort(h_axes);

%find any lines belonging to these axes with a waveform tag (ie. not a cursor tag)
h_lines = findobj(h_axes,'Tag','WaveForm');
%find ant cursors belonging to these axes
h_crsr1 = findobj(h_axes,'Tag','Cursor','Userdata',1);
h_crsr2 = findobj(h_axes,'Tag','Cursor','Userdata',2);
%find all tmax tmin and period values for these axes
list = get(h_axes,'Userdata');
if ~iscell(list)
   tmax = list(1);
   tmin = list(2);
   period = list(3);
else
for i=1:length(list) 
   tmax(i)=list{i,1}(1,1);
   tmin(i)=list{i,1}(1,2);
   period(i)=list{i,1}(1,3);
end
end
color1 = 'red';
color2 = [0, 0.5, 0];

h_fig = gcf; 

if isempty(h_fig)
  return;
end

figure(h_fig);

ntracks = length(h_axes);

period = .005;
t = 0:period:tlim(2);

top = 0.9;
base = 0.1;
height = (top - base)/(ntracks);


for i = 1:ntracks
   set(h_axes(i),'Position',[0.1,top - i*height,0.85, height*0.8],...
      'XTickLabel', '');
   set(get(h_axes(i),'xlabel'),'String','');
	ylim = get(h_axes(i),'YLim');
   set(h_crsr1(i),'YData',ylim);
   set(h_crsr2(i),'YData',ylim);
end
%set x axis tick mark labels at the bottom of the screen only
  set(h_axes(ntracks),'XTickLabelMode', 'auto');
%  set(h_axes(ntracks),'xlabel', h_xlabel);


