function [y,t2] = deriv(x,t1,der)

% DERIV: compute the 1st or 2nd derivative (velocity/acceleration)
%       of x.
%
%	See also: SMOOTH.

%	N. Nguyen, July 95, 18/09/95

if strcmp(der,'vel')
  n = 1;
elseif strcmp(der,'acc')
  n = 2;
end

period = t1(2) - t1(1);

y = x;

for i = 1:n

  nsamp = length(y);
  y  = y(3:nsamp) - y(1:(nsamp-2));

end

y = y / (period*2);

t2 = t1(1+n:(length(t1)-n));

