function [z,t2] = deriv2d(x,y,t1,der)

% DERIV2D: compute integrated distance, curvature or tangential
%       velocity in x/y plane
%

%	N. Nguyen, 07/96.

x = x(:);
y = y(:);

nsamp = length(x);
period = t1(2) - t1(1);

if strcmp(der,'dis')
 
  z = ((x(2:nsamp) - x(1:nsamp-1)) .^ 2) +...
      ((y(2:nsamp) - y(1:nsamp-1)) .^ 2);
  z = [0 ; cumsum(sqrt(z))];

  t2 = t1;

elseif strcmp(der,'cur')

  return;

elseif strcmp(der,'tgv')

  z = [(x(3:nsamp)- x(1:(nsamp-2))) (y(3:nsamp) - y(1:(nsamp-2)))];
  z = (1/(period * 2)) * z;
  z = sqrt(z(:,1).^ 2 + z(:,2).^2); 

  t2 = t1(2:nsamp-1);

end

