function displab(label,ntrack)

% DISPLAB: display labels in track ntrack

%	N. Nguyen, July 95, 18/09/95, 27/03/97

%global h_axes h_lines h_crsr
global tlim %tmin tmax
h_current_axes = gca;
%find every axis belonging to any figure with an Ematools tag  
%h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');
%find any lines belonging to these axes with a waveform tag (ie. not a cursor tag)
h_line = findobj(h_current_axes,'Tag','WaveForm','Selected','On');
%find ant cursors belonging to these axes
h_crsr1 = findobj(h_current_axes,'Tag','Cursor','Userdata',1);
h_crsr2 = findobj(h_current_axes,'Tag','Cursor','Userdata',2);
h_mrkr = findobj(h_current_axes,'Tag','MarkerLine');
h_label = findobj(h_current_axes,'Tag','MarkerText');
%find all tmax tmin and period values for these axes
%list = get(h_axes,'Userdata');
%for i=1:length(list) 
%   tmax(i)=list{i,1}(1,1);
%   tmin(i)=list{i,1}(1,2);
%   period(i)=list{i,1}(1,3);
%end
global pos

if nargin == 2

  clrtrack(ntrack);

elseif nargin == 1

  ntrack = fndtrack('ACTIVE');

  if isempty(ntrack)
    return;
  end
elseif nargin == 0
  label = '';
  ntrack = fndtrack('ACTIVE');

  if isempty(ntrack)
    return;
  end
else
  return;
end


ylim = get(h_current_axes,'Ylim');

tmin = 0;
tmax = 30.0;
period = .005;
t = 0:period:tmax(1);
%set(h_current_axes,'XLim',tlim,'YLim',[ymin ymax]);

set(get(h_current_axes,'ylabel'),'string',label, 'rotation', 90);

%set(get(h_axes(ntrack),'xlabel'),'UserData',period);
set(h_current_axes,'UserData',[tmax tmin period],'Tag','LAB');

axes(h_current_axes);

shift = (ylim(2) - ylim(1))/2;


%set([h_crsr1 ; h_crsr2; h_mrkr],'YData',[ymin ymax]);

callbackstring = [...
   'activate;'];
set(h_line,'Visible','Off');
  ylim = get(h_current_axes,'YLim');

  shift = (ylim(2) - ylim(1))/2;
for i = 1:length(h_mrkr)

  h_label(i) = get(h_mrkr(i),'UserData')

  %pos = get(h_label(i),'Position');
  xlim = get(h_mrkr(i),'Xdata');
%set(h_label(i),'Position',[xlim(1) ylim(1)+shift 0]);
  set(h_label(i),'Position',[xlim(1) ylim(1)+shift 0]);
  set(h_label(i),'Units','pixels');
  pos = get(h_label(i),'Position');
  set(h_label(i),'Position',[pos(1)+5 pos(2) pos(3)]);
  set(h_label(i),'Units','data');
set(h_label(i),'Visible','On');

end

%set(findobj(h_current_axes,'Type','line'),'Visible','on');

%set(findobj(h_current_axes,'Type','text'),'Visible','on');
