function dispsig(y,t,label,ntrack,ident)

% DISPSIG: display signal y in track ntrack

%	N. Nguyen, July 95, 18/09/95, 27/03/97

%global h_axes h_lines h_crsr
global tlim %tmin tmax
%find every axis belonging to any figure with an Ematools tag  
h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');
%find any lines belonging to these axes with a waveform tag (ie. not a cursor tag)
h_lines = findobj(h_axes,'Tag','WaveForm');
%find ant cursors belonging to these axes
h_crsr1 = findobj(h_axes,'Tag','Cursor','Userdata',1);
h_crsr2 = findobj(h_axes,'Tag','Cursor','Userdata',2);
%find all tmax tmin and period values for these axes
list = get(h_axes,'Userdata');
for i=1:length(list) 
   tmax(i)=list{i,1}(1,1);
   tmin(i)=list{i,1}(1,2);
   period(i)=list{i,1}(1,3);
end

if nargin >= 4

  clrtrack(ntrack);

elseif nargin == 3

  ntrack = fndtrack('FREE');

  if isempty(ntrack)
    return;
  end

else

  return;

end

ymin = min(y);
ymax = max(y);

if ymin == ymax
  ymin = ymax -1;
  ymax = ymax + 1;
end

period = t(2) - t(1);

tmin(ntrack) = t(1);
tmax(ntrack) = t(length(t));

set(h_axes(ntrack),'XLim',tlim,'YLim',[ymin ymax],'YTickLabelMode', 'auto');
set(get(h_axes(ntrack),'ylabel'),'string',label);

%set(get(h_axes(ntrack),'xlabel'),'UserData',period);
set(h_axes(ntrack),'UserData',[tmax(ntrack) tmin(ntrack) period],'Tag','');

set(h_lines(ntrack),'XData',t,'YData',y,'Selected','On');

if exist('ident')

  set(h_axes(ntrack),'Tag',ident);

end

shift = (ymax - ymin)/10;

%t1 = crsrloc(1);
%t2 = crsrloc(2);

%fprintf('%f %f',t1,t2);
%if t1 > tmax(ntrack) 
set(h_crsr1,'XData',[(tmax(ntrack))/4 (tmax(ntrack))/4]);
set(h_crsr2,'XData',[(tmax(ntrack) * 3)/4 (tmax(ntrack) * 3)/4]);
%end
%if t2 > tmax(ntrack) 
%end

h_mrkr = findobj(h_axes(ntrack),'Tag','MarkerLine');

set([h_crsr1(ntrack) ; h_crsr2(ntrack); h_mrkr],'YData',[ymin ymax]);

%for i = 1:length(h_mrkr)

%  h_label = findobj('UserData',h_mrkr(i));

%  pos = get(h_label,'Position');

%  set(h_label,'Position',[pos(1) ymin+shift 0]);

%end

set(findobj(h_axes(ntrack),'Type','line'),'Visible','on');

%set(findobj(h_axes(ntrack),'Type','text'),'Visible','on');
