function dispspec(y,t,label,ntrack,ident)

% DISPSPEC: display spectrogram of  y in track ntrack

%	N. Nguyen, July 95, 18/09/95, 27/03/97

%global h_axes h_lines h_crsr
global tlim %tmin tmax
%find every axis belonging to any figure with an Ematools tag  
%h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');
%find any lines belonging to these axes with a waveform tag (ie. not a cursor tag)
h_line = findobj(gca,'Tag','WaveForm','Selected','On');
%find ant cursors belonging to these axes
h_crsr1 = findobj(gca,'Tag','Cursor','Userdata',1);
h_crsr2 = findobj(gca,'Tag','Cursor','Userdata',2);
%find all tmax tmin and period values for these axes
%list = get(h_axes,'Userdata');
%for i=1:length(list) 
%   tmax(i)=list{i,1}(1,1);
%   tmin(i)=list{i,1}(1,2);
%   period(i)=list{i,1}(1,3);
%end
global pos
global h_specgram

if nargin >= 4

  clrtrack(ntrack);

elseif nargin == 3

  ntrack = fndtrack('FREE');

  if isempty(ntrack)
    return;
  end

else

  return;

end


ymin = min(y);
ymax = max(y);

if ymin == ymax
  ymin = ymax -1;
  ymax = ymax + 1;
end
fs = 1/(t(2) - t(1));
ymin = 0;
ymax = fs/2;
shift = 32;
period = (t(2) - t(1))*shift;

%tmin(ntrack) = t(1);
%tmax(ntrack) = t(length(t));
tmin = t(1);
tmax = t(length(t));

set(gca,'XLim',tlim,'YLim',[ymin ymax]);

set(get(gca,'ylabel'),'string',label, 'rotation', 90);

%set(get(h_axes(ntrack),'xlabel'),'UserData',period);
set(gca,'UserData',[tmax tmin period],'Tag','');

%set(h_lines(ntrack),'XData',t,'YData',y);
%%%pad = zeros(100,1);
pad = zeros(100,1);
yy = [pad; y];
a = [1.0, 0.97];
b = [1, 0];
%yyy = 100*filter(b,a,yy);
yyy = 50*yy;
%figure;
%axes;
%plot(yy);
%pos = get(h_axes(ntrack),'Position');
%if ntrack > 2 
%  pos2 = get(h_axes(ntrack-2),'Position');
%  set(h_axes(ntrack),'Position',[.1 pos(2) .85 pos2(2)-pos(2)]);
%end
%set(h_axes(ntrack),'YLim',[0,8000],'ylabel',ylabel('Hz'),'xlabel',xlabel(''));
%end
axes(gca);
%[b,f,t] = specgram(yyy,512,fs,200,200-shift);
[b,f,t] = specgram(yyy,512,fs,200,200-100);
%clims = [min(min(log10(abs(b)))), max(max(log10(abs(b))))];
%clims = [90 140];
clims = [70 140];
%clims = [0 100];
h_specgram = imagesc(t,f,20*log10(abs(b)),clims);axis xy;colormap(flipud(bone));
callbackstring = [...
      'activate;'...
   'cursor start;'];
set(h_specgram,'Tag','Spectrogram','ButtonDownFcn',callbackstring);
%brighten(flipud(bone),.3);
%colorbar;
%if exist('ident')

  set(gca,'Tag','SGM');

%end

shift = (ymax - ymin)/10;
set(h_crsr1,'XData',[(tmax)/4 (tmax)/4]);
set(h_crsr2,'XData',[(tmax * 3)/4 (tmax * 3)/4]);

h_mrkr = findobj(gca,'Tag','MarkerLine');

set([h_crsr1 ; h_crsr2; h_mrkr],'YData',[ymin ymax]);

%for i = 1:length(h_mrkr)

%  h_label = findobj('UserData',h_mrkr(i));

%  pos = get(h_label,'Position');

%  set(h_label,'Position',[pos(1) ymin+shift 0]);

%end

set(findobj(gca,'Type','line'),'Visible','on');

%set(findobj(gca,'Type','text'),'Visible','on');
