function editsig(y,t)

% EDITSIG: display a temporal signal as a series of numerical values
%
%        See also: DISPSIG.

%        N. Nguyen, July 96.

h_fig = findobj('Name','Signal Editor');

if isempty(h_fig)

  h_fig = figure;

  set(h_fig,'Name','Signal Editor','NumberTitle','off',...
            'UserData','EMA Tools');

  h_box = uicontrol(h_fig,'Style','edit','Units','Normal',...
                          'Position',[.1 .05 .5 .85],'Max',1000000);

  uicontrol(h_fig,'Style','text','Units','Normal','Position',[.1 .91 .14 .05],...
                          'String','time','HorizontalAlignment','left');

  uicontrol(h_fig,'Style','text','Units','Normal','Position',[.24 .91 .14 .05],...
                          'String','value','HorizontalAlignment','left');
else

  h_box = findobj(h_fig,'Style','edit');

end

t = t(:);
y = y(:);

s = sprintf('%f    %f\n',[t y]');

set(h_box,'String',s);


