function fftfig(npoints)

% FFTFIG: create/refresh FFT window.
%
%	In this window are displayed audio FFT's computed at the
%	cursors' locations along the time axis.

%	N. Nguyen, July 95, 18/09/95

color1 = 'red';
color2 = 'green';

global aud_sr

if ~exist('aud_sr')
  return;
end

ncomp = npoints / 2;
f = aud_sr / npoints * (0:ncomp-1);

h_fig = findobj('Name','FFT');

if isempty(h_fig)
   
  figure

  set(gcf,'Name','FFT','NumberTitle','off','UserData','EMA Tools');

  subplot(1,2,1);

  line('Erasemode','xor','Color',color1,'LineStyle','-',...
       'XData',f,'YData',ones(ncomp,1),'UserData','FFT1');

  set(gca,'Box','on','FontName','Courrier','FontSize',10,'XGrid','on',...
          'Ygrid','on','XLim',[0 f(ncomp)],'YLim',[0 120]);

  set(get(gca,'xlabel'),'FontName','Courrier','FontSize',11,...
                        'String','frequency (Hz)');

  set(get(gca,'ylabel'),'FontName','Courrier','FontSize',11,...
                        'String','magnitude (dB)');

  subplot(1,2,2);

  line('Erasemode','xor','Color',color2,'LineStyle','-',...
       'XData',f,'YData',ones(ncomp,1),'UserData','FFT2');

  set(gca,'Box','on','FontName','Courrier','FontSize',10,'XGrid','on',...
          'Ygrid','on','XLim',[0 f(ncomp)],'YLim',[0 120]);

  set(get(gca,'xlabel'),'FontName','Courrier','FontSize',11,...
                        'String','frequency (Hz)');

  set(get(gca,'ylabel'),'FontName','Courrier','FontSize',11,...
                        'String','magnitude (dB)');

else

 set(findobj('UserData','FFT1'),'XData',f,'YData',ones(ncomp,1));

 set(findobj('UserData','FFT2'),'XData',f,'YData',ones(ncomp,1));

end
