function fileconv(filename,item)

% EMA-file conversion scripts for Fiona's /kl/ data

%  1 x3 upper incisors x
%  2 y3 upper incisors y
%  3 x4 lower incisors x
%  4 y4 lower incisors y
%  5 x1 upper lip, x
%  6 y1 upper lip, y
%  7 x2 lower lip, x
%  8 y2 lower lip, y
%  9 x5 tongue tip, x
% 10 y5 tongue tip, y
% 11 x6 tongue body, x
% 12 y6 tongue body, y
% 13 x7 tongue dorsum, x
% 14 y7 tongue dorsum, y
% 15 x8 unused
% 16 y8 unused
% 17 x9 unused
% 18 y9 unused
% 19 x0 bridge of nose, x
% 20 y0 bridge of nose, y

channels = [1:20];

ema_chan = str2mat('ui/x','ui/y','li/x','li/y','ul/x','ul/y',...
                   'll/x','ll/y','tt/x','tt/y','tb/x','tb/y',...
                   'td/x','td/y','****','****','****','****',...
                   '****','****');

% miscellaneous

nitems = 60;
ema_scaling_fact = .01;

ncoils = 10;

ncoords = ncoils * 2;

full_num = '00';
l = length(item);
shift = 2 - l;
for i = 1:l
  full_num(i+shift) = item(i);
end
item = full_num;

file_name = [filename '_0' item '.1.ema'];

fprintf('file_name = %s\n', file_name)

fid = fopen(file_name,'r');

tmp = fread(fid,inf,'short');

ema = [];

I = length(tmp);

nxycoils = ncoords;

increment = nxycoils;

yoffset = nxycoils / 2;

if nxycoils > 10
  increment = 10;
  yoffset = 5;
end

ema = [];

i = 1;

while i <= yoffset

   ema = [ema  tmp(i:increment:I)];
   ema = [ema  tmp(i+yoffset:increment:I)];
   i = i+1;

end

if nxycoils > 10

  file_name = [filename '_0' item '.2.ema'];

  fid = fopen(file_name);

  if fid == -1
    error (['file ' file_name ' not found']);
  end

  tmp = fread(fid,inf,'short');

  I = length(tmp);
  i = 1;
  increment = nxycoils - 10;
  yoffset = increment / 2;
  while i <=  yoffset
    ema = [ema  tmp(i:increment:I)];
    ema = [ema  tmp(i+yoffset:increment:I)];
    i = i+1;
  end
end
	
ema = ema_scaling_fact * ema;

%ema(:,1:2:ncoords-1) = ema(:,1:2:ncoords-1) - (ema(:,5) * ones(1,ncoords/2));
%ema(:,2:2:ncoords) = ema(:,2:2:ncoords) - (ema(:,6) * ones(1,ncoords/2));

ema = ema(:,channels);

nchan = length(channels);

ema = ema(:,[1:2:nchan-1 2:2:nchan]);

ema_chan = ema_chan(channels,:);
ema_chan = ema_chan([1:2:nchan-1 2:2:nchan],:);

eval(['save ' filename '.' item '.ema ema ema_chan -mat;']);


file_name = [filename '_0' item '.epg'];

if exist(file_name, 'file')

fid = fopen(file_name,'r');

tmp = fread(fid,inf,'short');

file_name = [filename '.' item '.ep2'];

fid = fopen(file_name,'w');

fwrite(fid,tmp,'short');

else

fprintf('%s not found\n',file_name);

end

file_name = [filename '_0' item '.lar'];

%if exist(file_name, 'file')
%delay = 16000 * 0.035;

%else
%delay = 0;
%end

file_name = [filename '_0' item '.wav'];

if exist(file_name, 'file')

fid = fopen(file_name,'r');
%offset = 1024 + delay;
%fseek(fid,offset,'bof');
tmp = fread(fid,inf,'short');

file_name = [filename '.' item '.bin'];

fid = fopen(file_name,'w');

fwrite(fid,tmp,'short');

else

fprintf('%s not found\n',file_name);

end

file_name = [filename '_0' item '.lar'];

if exist(file_name, 'file')

fid = fopen(file_name,'r');

%offset = 1024 + delay;
%fseek(fid,offset,'bof');
tmp = fread(fid,inf,'short');

file_name = [filename '.' item '.lar'];

fid = fopen(file_name,'w');

fwrite(fid,tmp,'short');

else

fprintf('%s not found\n',file_name);

end 

fclose('all');
