function fileconv(filename,item)

% EMA-file conversion scripts for Janet's data. 

%  1 x1 upper incisors, x
%  2 y1 upper incisors, y
%  3 x2 lower incisors, x
%  4 y2 lower incisors, y
%  5 x3 upper lip, x
%  6 y3 upper lip, y
%  7 x4 lower lip, x
%  8 y4 lower lip, y
%  9 x5 tongue tip, x
% 10 y5 tongue tip, y
% 11 x6 tongue dorsum, x
% 12 y6 tongue dorsum, y
% 13 x7 unused
% 14 y7 unused
% 15 x8 tongue back, x
% 16 y8 tongue back, y
% 17 x9 bridge of nose, x
% 18 y9 bridge of nose, y
% 19 x0 unused
% 20 y0 unused

channels = [1:12 15 16];

ema_chan = str2mat('ui/x','ui/y','li/x','li/y','ul/x','ul/y',...
                   'll/x','ll/y','tt/x','tt/y','td/x','td/y',...
                   '****','****','tb/x','tb/y','bn/x','bn/y',...
                   '****','****');

% miscellaneous

nitems = 99;
ema_scaling_fact = .01;

ncoils = 10;

ncoords = ncoils * 2;

full_num = '00';
l = length(item);
shift = 2 - l;
for i = 1:l
  full_num(i+shift) = item(i);
end
item = full_num;

file_name = [filename '.0' item];

fid = fopen(file_name,'r');

tmp = fread(fid,inf,'short');

ema = [];

I = length(tmp);

nxycoils = ncoords;

increment = nxycoils;

yoffset = nxycoils / 2;

if nxycoils > 10
  increment = 10;
  yoffset = 5;
end

ema = [];

i = 1;

while i <= yoffset

   ema = [ema  tmp(i:increment:I)];
   ema = [ema  tmp(i+yoffset:increment:I)];
   i = i+1;

end

if nxycoils > 10

  file_name = [filename '.1' item];

  fid = fopen(file_name);

  if fid == -1
    error (['file ' file_name ' not found']);
  end

  tmp = fread(fid,inf,'short');

  I = length(tmp);
  i = 1;
  increment = nxycoils - 10;
  yoffset = increment / 2;
  while i <=  yoffset
    ema = [ema  tmp(i:increment:I)];
    ema = [ema  tmp(i+yoffset:increment:I)];
    i = i+1;
  end
end
	
ema = ema_scaling_fact * ema;

ema(:,1:2:ncoords-1) = ema(:,1:2:ncoords-1) - (ema(:,1) * ones(1,ncoords/2));
ema(:,2:2:ncoords) = ema(:,2:2:ncoords) - (ema(:,2) * ones(1,ncoords/2));

ema = ema(:,channels);

nchan = length(channels);

ema = ema(:,[1:2:nchan-1 2:2:nchan]);

ema_chan = ema_chan(channels,:);
ema_chan = ema_chan([1:2:nchan-1 2:2:nchan],:);

eval(['save ' filename '.' item '.ema ema ema_chan -mat;']);

fclose('all');