function ntrack = fndtrack(label)

% FNDTRACK: find track with the specified label.
%
%	FNDTRACK returns the handle of a track for which the
%	UserData property corresponds to the specified label.
%
%	See also: ACTIVATE, CLRTRACK, FNDLINE, MKTRACKS, REFRAXES.

%	N. Nguyen, July 95, 18/09/95

%global h_axes
%find every axis belonging to any figure with an Ematools tag  
h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');

h = findobj(h_axes,'Tag',label);

if isempty(h)
        
  if strcmp(label,'ACTIVE')
     h = findobj(h_axes,'Type','Axes','Selected','On')
    if isempty(h)
        fprintf(1,'\n\nNo active track.\nActivate one track first.\n\n');
    else    
        ntrack = find(h_axes == h(1));
    end
elseif strcmp(label,'FREE')

    fprintf(1,'\n\nNo free track available.\nClear one track first.\n\n');

  end

else

  ntrack = find(h_axes == h(1));
  %track = h(1);
end



