function [f,b,e,s,t2,tilt,err] = formant(y1,t1,width,shift,n_formants, bounds)

% FORMANT: smooth signal x by means of a spline function.
%

%		A. Wrench Nov 1999	

% Calculate frequency vector

period = t1(2)- t1(1);
fs = 1/period;
nyquist = fs/2;
bin = fs/width;
bins = [bin:bin:nyquist];
num_samples = length(y1);
%pre-emphasis
%y1 = y1(2:num_samples) - 0.97*y1(1:num_samples-1);

%Extract frames of size width every shift samples
i=1;
for f_start = 1 : shift : length(y1)-width-1
	f_stop = f_start + width;
	frame  = y1(f_start:f_stop);
	window = hamming(width);
	lags = xcorr(y1(f_start:f_stop),y1(f_start:f_stop),1);
	tilt(i) = lags(3)/lags(2);
	frame  = frame(2:width+1) - tilt(i)*frame(1:width);
%	frame  = frame(2:width+1) - 0.97*frame(1:width);
	frame  = window.*(frame);
        fft_out = fft(frame,width);
	power = real(fft_out).^2 +imag(fft_out).^2;
%	if i>1
%		bounds(3) = (sub_band_limits(1)-2)*bin;
%		bounds(4) = (sub_band_limits(1)+2)*bin;
%		bounds(5) = (sub_band_limits(2)-2)*bin;
%		bounds(6) = (sub_band_limits(2)+2)*bin;
%		bounds(7) = (sub_band_limits(3)-2)*bin;
%		bounds(8) = (sub_band_limits(3)+2)*bin;
%		bounds(9) = (sub_band_limits(4)-2)*bin;
%		bounds(10) = (sub_band_limits(4)+2)*bin;
%	end
        [frequency,bandwidth,energy,sub_band_limits,error] = mca(power(1:length(bins)),bins,n_formants,bounds);

%if i == 200
%figure;
%plot(power(1:length(bins)));
%%hold;
%plot(frequency,energy,'-or');
%break;
%end
	f(i,:) =  frequency' * bin;
	b(i,:) =  bandwidth' * bin;
	e(i,:) =  energy';
	err(i,:) = error';
	s(i,:) =  sub_band_limits' *bin;
	t2(i) = (f_start+width/2+1)*period;
	if tilt(i) > 0 
		tmp = -log10(1-tilt(i));
	else
	   tmp = log10(1+tilt(i));
	end
	tilt(i) = tmp;
	  
% the +1 accounts for the sample removed by pre-emphasis
	i = i + 1;
end

%figure;
%plot(tilt);

