function ft_file(name,item)
% Formant Track: use mca to create *.fmt files
%	A.Wrench, Nov 1999

nitems = 999;

if str2num (item) < 1 | str2num (item) > nitems
  error ('number needs to be in the range 1-999');
end

%convert item to 3 digit ascii
full_num = '000';
l = length (item);
shift = 3 - l;
for i = 1:l
  full_num (i+shift) = item (i);
end
item = full_num;

tlim = [0 0];

fprintf('Loading...\n');

%----------------------------------------
% LOADING AUDIO TRACK

audiofilename = [name '_' item '.wav'];
formantfilename = [name '_' item '.fmt'];

if exist(audiofilename,'file')
   %raw unscaled output
   mode = 'r';
   %unlimited samples
   nmax = -1;
% skip no samples at start of file
   nskip = 0;
   [audio, aud_sr, ffmt] = readaud(audiofilename,mode,nmax,nskip);
   t = tscale(audio,aud_sr);
else
   fprintf('Filename: %s not present\n',audiofilename);
end
%audio = audio + rand(size(audio))*2000;
%formant track
width = 256;
%shift = 32;
%width = 512;
%shift = 64;
shift = 128;
n_formants = 5;
%%%%%%%%%%%%%%%
%figure;
%hold;
%tmp = [];
%scale = [];
%for i=0.5:0.05:1.8
%bounds = [0 8000 800 1500 1500 2500 3000 3500 4200 5000];
%bounds = i*bounds;
%bounds(2) = 8000;
%%bounds = [1600 1800 3100 3700 4000 4300 4500 5200];
%[f,b,e,s,t2,tilt,error] = formant(audio(:,1),t,width,shift,n_formants, bounds);
%tmp(end+1) = mean(mean(error(:,1:4)))
%scale(end+1) = i;
%end
%plot(scale,tmp);
%%%%%%%%%%%%%%
bounds = [0 5000 800 1500 1500 2500 2500 3500 4200 4500];
bounds = [0 5000 850 1500 1500 2500 2500 3500 3900 4500];
%bounds = [0 5000 700 1200 1500 2500 2500 3500 4200 4500];
%bounds = [0 6000 0 6000 0 6000 0 6000 0 6000 ];
bounds = 1.2*bounds;
[f,b,e,s,t2,tilt,error] = formant(audio(:,1),t,width,shift,n_formants, bounds);
channel = ['F1'; 'F2'; 'F3'; 'F4'; 'F5'; 'F6'];
writeest(f,t2,channel,formantfilename,mode,nskip);
figure('Position', [0 30 800 200 ]);
%subplot('Position', [0.1 0.3 0.9 0.7]);
%subplot(2,1,1);
fmt = f;

shift = 64;
pad = zeros(100,1);
yy = [pad; audio(:,1)];
yyy = 50*yy;
[bb,ff,tt] = specgram(yyy,512,aud_sr,200,200-shift);
clims = [70 140];
h_specgram = imagesc(tt,ff,20*log10(abs(bb)),clims);axis xy;colormap(flipud(bone));
hold;
plot(t2,fmt(:,1:5));
%subplot('Position', [0.1 0.1 0.9 0.1]);
%plot(t2,tilt);

%figure('Position', [0 230 800 200 ]);
%plot(t2,log10(e(:,1:5)));

%figure('Position', [0 230 800 200 ]);
%plot(t2,error(:,1:5));
%plot(t2,log10(error(:,1:5)));
%plot(t2,s(:,1:4));

%figure('Position', [0 430 800 200 ]);
%plot(t2,log10(error(:,1:5)));

%%plot(f+(b/2));
%%hold;
%%plot(f-b/2);
