function labelfig

% CONFIG: configuration panel allowing to reset the
%        values of different global variables

%        N. Nguyen, July 96.

h_fig = findobj('Name','Label Panel');

if ~isempty(h_fig)
  return;
end

figure;

set(gcf,'Name',Label Panel','NumberTitle','off',...
        'UserData','EMA Tools');

pos = get(gcf,'Position');

set(gcf,'Position',[pos(1) pos(2) 350 60],'Resize','off');

axis off;

uicontrol(gcf,'Style','text','Units','Normal','Position',[.01 .4 .2 .4],...
              'String','label:','HorizontalAlignment','left');

uicontrol(gcf,'Style','edit','Units','Normal','Position',[.25 .4 .4 .4],...
              'String',[],'HorizontalAlignment','left','Max',1);

uicontrol(gcf,'Style','Pushbutton','Units','Normal',...
              'Position',[.8 .4 .18 .4],'String','Add',...
              'Callback','putlabel');

function putlabel

h_fig = fndwin('EMA Tools');

h_labels = findobj(h_fig,'UserData','LAB','Selected','on');

if isempty(h_labels)'...
  fprintf(1,'No marker to label');
  return;
end

label = get(findobj(gcf,'Style','text'),'String');

for i = 1:length(h_labels)

  h_axes = get(h_labels(i),'Parent');

  ylim = get(h_axes,'YLim');

  shift = (ylim(2) - ylim(1))/10;

  axes(h_axes);

  h_text = text(0,0,label);

  set(h_text,'FontName','Courier','FontSize',8,...
             'Position',[t ylim(1)+shift 0],'UserData',h_labels(i));

  if strcmp(h_axes,'UserData'),'FREE')

    set(h_text,'Visible','off');

  end

end