function loadema(filename)

% LOADEMA: load EMA signal from a binary MAT-file
%
%        See also: LOADAUD, LOADEPG.

%        N. Nguyen, June 96

global h_axes ema_sr ema ema_sm

h_fig = fndwin('EMA Tools');

if isempty(h_fig)
  fprintf(1,'\nEMA Tools is not running\n');
end

if nargin == 0

  [filename,pathname] = uigetfile('*.ema','Load EMA Signal');

  if isempty(filename)
    return;
  else
    filename = [pathname filename];
  end

end

eval(['load ' filename ' -mat;']);

M = findobj('Label','EMA');

delete(get(M,'Children'));

for j = 1:size(ema_chan,1)

  callbackstring = [...
    'label = get(gcbo,''Label'');'...
    'y = get(gcbo,''UserData'');'...
    'global ema_sr; t = tscale(y,ema_sr);'...
    'dispsig(y,t,label);'];
 
    uimenu(M,'Label',ema_chan(j,:),'Callback',callbackstring,...
             'UserData',ema(:,j));
  
end

t = tscale(ema,ema_sr);

j = 1;

for i = 3:length(h_axes)

  dispsig(ema(:,j),t,ema_chan(j,:),i,'TIM');

  j = j + 1;

end


clear global ema_sm;
