function loadaud(filename)

% LUCYLOAD: load lucy's signals
%
%        A. Wrench, Mar 99

global ema epg
global aud_sr tlim h_axes
global ema_sr
global NTRACKS
global h_lines

h_fig = fndwin('EMA Tools');

if isempty(h_fig)
  fprintf(1,'\nEMA Tools is not running\n');
end

if NTRACKS ~= 7 
  NTRACKS = 7; 
  mktracks(NTRACKS); 
end

%if exist('ema')
%  clear global ema;
%end
%
%if exist('epg')
%  clear global epg;
%end

delete(get(findobj('Label','EMA'),'Children'));

% reads item number

%FILEDIR = input ('data directory  (default: current): ','s'); 
%if strcmp(FILEDIR, '')
	FILEDIR =  [pwd '/' ];
%	fprintf('%s\n', FILEDIR);
%end
%
%cd FILEDIR;

name = input ('filename prefix (default: jim1): ','s');
if strcmp(name, '')
	name = 'jim1';
end
item = input ('item # (default: 1): ','s');

if strcmp(item,'')
  item = '1';
end

nitems = 99;

if str2num (item) < 1 | str2num (item) > nitems
  error ('wrong item number');
end

%convert item to 2 digit ascii
full_num = '00';
l = length (item);
shift = 2 - l;
for i = 1:l
  full_num (i+shift) = item (i);
end
item = full_num;

fprintf('Loading...\n');
filename = [FILEDIR name '.' item '.bin'];
fprintf('%s\n', filename);
fid = fopen(filename,'r');

y = fread(fid,'short');

t = tscale(y,aud_sr);

dispsig(y,t,'amplitude',1,'AUD');

tlim = [0 t(length(t))];

set(h_axes,'XLim',tlim);

set(h_fig,'Name',['EMA Tools: ' name]);

%---------------------------------------------
%function loadema(filename)


filename = [FILEDIR name '.' item '.ema'];
fprintf('%s\n', filename);
eval(['load ' filename ' -mat;']);
%-------------------------------
%Load EMA tracks into EMA menu
M = findobj('Label','EMA');

delete(get(M,'Children'));

for j = 1:size(ema_chan,1)

  callbackstring = [...
    'label = get(gcbo,''Label'');'...
    'y = get(gcbo,''UserData'');'...
    'global ema_sr; t = tscale(y,ema_sr);'...
    'dispsig(y,t,label);'];
 
    uimenu(M,'Label',ema_chan(j,:),'Callback',callbackstring,...
             'UserData',ema(:,j));
  
end
%-----------------------------------------
t = tscale(ema,ema_sr);

%display channel 5 on track 2
label = [ema_chan(5,:) ' - sm'];
[ttxsm,t2] = smooth(ema(:,5),t,11);
dispsig(ttxsm,t2,label,2,'TIM');

%display channel 15 on track 3
label = [ema_chan(15,:) ' - sm'];
[ttysm,t2] = smooth(ema(:,15),t,11);
dispsig(ttysm,t2,label,3,'TIM');

%display tangential velocity of tongue tip on track 4
  y1 = get(h_lines(2),'YData');
  t1 = get(h_lines(2),'XData');
  y2 = get(h_lines(3),'YData');
  [yy,t2] = deriv2d(y1,y2,t1,'tgv');
  [tttvsm,t3] = smooth(yy,t2,11);
  dispsig(tttvsm,t3,'tt - tv.',4);

%display channel 7 on track 5
label = [ema_chan(7,:) ' - sm'];
[tdxsm,t2] = smooth(ema(:,7),t,11);
dispsig(tdxsm,t2,label,5,'TIM');

%display channel 17 on track 6
label = [ema_chan(17,:) ' - sm'];
[tdysm,t2] = smooth(ema(:,17),t,11);
dispsig(tdysm,t2,label,6,'TIM');

%display tangential velocity of tongue dorsum on track 7
  y1 = get(h_lines(5),'YData');
  t1 = get(h_lines(5),'XData');
  y2 = get(h_lines(6),'YData');
  [yy,t2] = deriv2d(y1,y2,t1,'tgv');
[tdtvsm,t3] = smooth(yy,t2,11);
  dispsig(tdtvsm,t3,'td - tv.',7);

%------------------------------------------
%Load EPG data

filename = [FILEDIR name '.' item '.ep2'];
fprintf('%s\n', filename);

    fid = fopen(filename,'r');
    dummy = fread(fid,'short');
    nbits = 16 * length(dummy);
    frewind(fid);
    [epg,count] = fread(fid,nbits,'ubit1');
    if count ~= nbits
      fprintf(1,'Warning: %d bits read for %s.epg.raw\n',count,filename);
    end
    nbits = count;
    nframes = nbits / 96;
    epg = reshape(epg,96,nframes);
    epg = fliplr(epg');
    epg = epg(:,33:96);
    epg(:,[1 8]) = [];
