function mktracks(ntracks,ident)

% MKTRACKS: create the required number of time tracks in the main window
%
%	See also: MKMENUS.

%	N. Nguyen, July 95, 18/09/95

%global h_axes h_lines h_crsr h_val
global tlim %tmin tmax
%global h_specgram

color1 = 'red';
color2 = [0, 0.5, 0];

%h_fig = fndwin('EMA Tools');
h_fig = findobj('Tag','EmaTools-Waveform');
if isempty(h_fig)
  return;
end

%figure(h_fig);

%find every axis belonging to any figure with an Ematools tag  
%h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');
h_axes = findobj(gcf,'Type','axes');
   delete(h_axes);
%if ntracks == length(findobj(h_fig,'Type','axes'))
%
 % delete(findobj('UserData','AUD'));
 % delete(findobj('UserData','TIM'));
 % delete(findobj('UserData','FREE'));
 % delete(h_specgram);

%  h_mrkr = findobj('Tag','Marker');
%  delete(h_mrkr);
%  for i = 1:length(h_mrkr)
%    delete(findobj('UserData',h_mrkr(i)));
%  end

%  return;

%end

%h_axes = []; h_lines = []; h_crsr = []; h_val = [];
tmin = zeros(ntracks,1); tmax = 60*ones(ntracks,1); 
if isempty(tlim)
   tlim = [0 tmax(1)];
end

period = .005;
t = 0:period:tmax(1);
top = 0.9;
base = 0.1;
height = (top - base)/(ntracks);
callbackstring = [...
   'activate;'];
for i = 1:ntracks
   h_axes = axes('Units','normalized','Position',[0.1,top - i*height,0.85, height*0.8],...
     'DrawMode','fast','NextPlot','add','Box','on',...
     'Tag','FREE',...
     'UserData',[tmax(i) tmin(i) period],... 
	  'XTickLabelMode', 'manual',...
     'YTickLabelMode', 'manual',...
     'ButtonDownFcn',callbackstring,...
     'XLim',[0 tmax(1)],'FontName','Courier','FontSize',10);

  set(get(h_axes,'xlabel'),'FontName','Courier','FontSize',10,'Userdata',period);

  set(get(h_axes,'ylabel'),'FontName','Courier','FontSize',10);

h_lines = line(t,zeros(size(t)),'Tag','WaveForm',...
   'Selected', 'On',...
   'color', 'Black',...
   'ButtonDownFcn',callbackstring,...
   'SelectionHighlight', 'Off');

end
 
%set x axis tick mark labels at the bottom of the screen only
  set(h_axes,'XTickLabelMode', 'auto');
  set(get(h_axes,'xlabel'),'FontName','Courier','FontSize',10,...
                      'String','Time (s)');


% ------------------------------------------------------------------------------
% create cursors

t1 = tmax(1) / 4;
t2 = (tmax(1) * 3) / 4;
%Find all axes belonging to current figure
h_axes = findobj(gcf,'Type','axes');
ntracks = length(h_axes);

callbackstring = [...
   'activate;'...
   'cursor start;'];
for i = 1:ntracks

  h_crsr(1) = crsrmake(h_axes(i),1,t1,color1);
  h_crsr(2) = crsrmake(h_axes(i),2,t2,color2);
  set(h_crsr(1),'ButtonDownFcn',callbackstring);
  set(h_crsr(2),'ButtonDownFcn',callbackstring);

  h_val(1) = text(0,0,num2str(t1));
  set(h_val(1),'EraseMode','Xor','Color',color1,'FontName','Courier',...
             'FontSize',10,'Units','Normalize','Position',[0 1.15 0],...
             'UserData',1,'Tag','CursorText','Visible','Off');

  h_val(2) = text(0,0,num2str(t2));
  set(h_val(2),'EraseMode','Xor','Color',color2,'FontName','Courier',...
             'FontSize',10,'Units','Normalize','Position',[.6 1.15 0],...
             'UserData',2,'Tag','CursorText','Visible','Off');

end

%setuprop(gcf,'mouse_flag',0);

%callbackstring = [...
  %'mouse_flag = getuprop(gcf,''mouse_flag'');'...
  %'if mouse_flag == 0'...
  %'  activate;'...
  %'  trckcrsr;'...
  %'  setuprop(gcf,''mouse_flag'',1);'...
  %'elseif mouse_flag == 1'...
  %'  activate;'...
  %'  set(gcf,''WindowButtonMotionFcn'','''');'...
  %'  h_fig = findobj(''Type'',''figure'',''Name'',''EMA Prof.'');'...
  %'  if ~isempty(h_fig); refresh(h_fig); end;'...
  %'  h_fig = findobj(''Type'',''figure'',''Name'',''EPG'');'...
  %'  if ~isempty(h_fig); refresh(h_fig); end;'...
  %'  setuprop(gcf,''mouse_flag'',0);'...
  %'end'];
  
  %set(gcf,'WindowButtonDownFcn',callbackstring);

