function movies

% MOVIES: display FFT, EMA and EPG data frame by frame from cursor 1
%	to cursor 2.
%
%	See also: CRSRMMOV, ZOOMLR.

%	N. Nguyen, July 95, 18/09/95

t1 = crsrloc(1);
t2 = crsrloc(2);

h_fig = fndwin('EMA Tools');

h_audio_axes = get(findobj('Tag','AUD'),'Parent');

aud_period = get(get(h_audio_axes,'xlabel'),'UserData');

step = max(((t2-t1)/20),aud_period);

nsteps = round((t2-t1)/step);

for i = 1:nsteps

  t = crsrmove(1,step);

  plotfft('FFT1',t);
  plotema('EMA1',t);
  plotepg('EPG1',t);

end

t = crsrloc(1);

crsrmove(1,-(t-t1));
