function mrkrdel

% MRKRDEL: delete the marker which is the closest to the current cursor.
%
%	See also: MRKRLOAD, MRKRMAKE, MRKRSAVE, MRKRSORT.

%	N. Nguyen, July 95, 18/09/95

t0 = get(gca,'CurrentPoint');

h_mrkr = findobj(gca,'Type','line','Tag','MarkerLine');

if isempty(h_mrkr)
  return;
end

dist = 10000;

for i = 1:length(h_mrkr)

  t1 = get(h_mrkr(i),'XData');

  if abs(t1(1) - t0(1)) < dist

    dist = abs(t1(1) - t0(1));

    t = t1(1);

  end

end

h_mrkr = (findobj('XData',[t t],'Tag','MarkerLine'));
delete(get(h_mrkr,'UserData'));

%for i = 1:length(h_mrkr)

%  delete(findobj('Type','text','UserData',h_mrkr(i)));

%end

delete(h_mrkr);   
