function mrkrload(filename)

% MRKRLOAD: load markers from an ascii file.
%
%	See also: MRKRDEL, MRKRMAKE, MRKRSAVE, MRKRSORT.

%	N. Nguyen, July 95, 18/09/95

global h_axes
%find every axis belonging to any figure with an Ematools tag  
h_fig = findobj(0,'Tag','EmaTools-Waveform');
h_axes = findobj(h_fig,'Type','axes');

if nargin == 0

  [filename,pathname] = uigetfile('*.lab','Load Markers');

  if filename == 0
    return;
  else
    filename = [pathname filename];
  end

end

fid = fopen(filename,'rt');

t = fscanf(fid,'%f %*f %*s',[1,inf]);

t = t';
fseek(fid,0,'bof');
i=1;
mrkr_lab = cell(size(t));
currentline = fgetl(fid);
while  currentline ~= -1
  lab = sscanf(currentline,'%*f %*f %s',[1,inf]);
  %fprintf('%s\n',lab);
  mrkr_lab(i,1) = cellstr(lab);

  i = i+1;
  currentline = fgetl(fid);
end

  
fclose(fid);



nmrkr =  i-1;
xlim = get(h_axes(1),'XLim');

if min(t) < xlim(1) | max(t) > xlim(2)
  error('mrkrload: marker location out of time range');
end

h_labelaxis = findobj(h_fig,'Type','axes','Tag','LAB');
if isempty(h_labelaxis)
   addtrack;
   displab('Label');
   h_labelaxis = findobj(h_fig,'Type','axes','Tag','LAB');
   h_axes = findobj(h_fig,'Type','axes');
else
   mrkrdelall;
end
callbackstring = [...
   'activate;'...
   'cursor start;'];

for i = 1:length(h_axes)

  for j = 1:nmrkr

ylim = get(h_axes(i),'YLim');
%    shift = (ylim(2) - ylim(1))/8;

    axes(h_axes(i));

    h_mrkr = line('Erasemode','xor','Color','blue',...
   			'ButtonDownFcn',callbackstring,...
                  'Xdata',[t(j) t(j)],'Ydata',ylim,'Tag','MarkerLine');
    if h_axes(i) == h_labelaxis
       h_text(j) = text(0,0,mrkr_lab(j,:));
       set(h_text(j),'Tag','MarkerText');
       set(h_mrkr,'UserData',h_text(j));
    end
%    h_text = text(0,0,num2str(mrkr_num(j)));
%    h_text = text(0,0,char(mrkr_lab(j,1:3)));

%    set(h_text,'FontName','Courier','FontSize',8,...
%               'Position',[t(j) ylim(1)-shift 0],'UserData',h_mrkr);

    if strcmp(get(h_axes(i),'Tag'),'FREE')

      set(h_mrkr,'Visible','off');
%      set(h_text,'Visible','off');

    end
    fprintf('\n');
  end
end

 %   ylim = get(h_labelaxis,'YLim');
 %   shift1 = (ylim(2) - ylim(1))/32;
 %   shift2 = (ylim(2) - ylim(1))/20;
 %   dshift = shift1 + shift2;
    axes(h_labelaxis);
    displab('Labels');
 % for j = 1:2:nmrkr
 %   h_text(j) = text(0,0,mrkr_lab(j,:));
 %   set(h_text(j),'FontName','Courier','FontSize',10,...
 %      'Position',[t(j) ylim(1)+shift1 0],'UserData',h_mrkr);
 %   set(h_mrkr(j),'Userdata',h_text(j));
 % end
 % for j = 2:2:nmrkr
 %   h_text(j) = text(0,0,char(mrkr_lab(j,:)));
  %  set(h_text(j),'FontName','Courier','FontSize',10,...
 %              'Position',[t(j) ylim(1)+shift2 0],'UserData',h_mrkr);
 %   set(h_mrkr(j),'Userdata',h_text(j));
%end

