function mrkrmake(cursor)

% MRKRMAKE: create a marker at the current cursor's location.
%
%	See also: MRKRDEL, MRKRLOAD, MRKRSAVE, MRKRSORT.

%	N. Nguyen, July 95, 18/09/95

%global h_axes
   h_fig = findobj(0,'Tag','EmaTools-Waveform');
   
if isempty(findobj(h_fig,'Tag','LAB'))
   for i=1:length(h_fig)
      figure(h_fig(i));
      addtrack;
      displab;
	end
end
	%find every axis belonging to any figure with an Ematools tag  
	h_axes = findobj(h_fig,'Type','axes');
 
if nargin == 0

  t1 = crsrloc(1);
  t2 = crsrloc(2);

  pt = get(gca,'CurrentPoint');

  if abs(pt(1,1) - t1) < abs(pt(1,1) - t2)
    t = t1;
  else
    t = t2;
  end

else

  t = crsrloc(cursor);

end
  
h_mrkr = findobj(gca,'Type','line','Tag','MarkerLine');

new_mrkr = length(h_mrkr) + 1;
name = inputdlg ('Type label: ','s');
if strcmp(name, '')
	name = '';
end

for i = 1:length(h_axes)

  ylim = get(h_axes(i),'YLim');

  shift = (ylim(2) - ylim(1))/2;

  axes(h_axes(i));
callbackstring = [...
   'activate;'...
   'cursor start;'];
h_mrkr = line('Erasemode','xor','Color','blue',...
   			'ButtonDownFcn',callbackstring,...
             'Xdata',[t t],'Ydata',ylim,'Tag','MarkerLine');
if ~isempty(findobj(gca,'Tag','LAB'))
  h_label = text(0,0,name);
  set(h_label,'Position',[t ylim(1)+shift 0]);
  set(h_label,'Units','pixels');
  pos = get(h_label,'Position');
  set(h_label,'Position',[pos(1)+5 pos(2) pos(3)]);
  set(h_label,'Units','data');
  set(h_label,'FontName','Helvetica','FontSize',8,...
                'Tag','MarkerText');
  set(h_mrkr,'UserData',h_label);
%else
%   set(h_text,'FontName','Helvetica','FontSize',8,...
%                'Tag','LabelText',...
%      'Visible','Off','UserData',h_mrkr);
end 
  if strcmp(get(h_axes(i),'Tag'),'FREE')

    set(h_mrkr,'Visible','off');
    set(h_text,'Visible','off');


end
end
