function mrkrsave(filename)

% MRKRSAVE: save markers in an ascii file.
%
%	See also: MRKRDEL, MRKRLOAD, MRKRMAKE, MRKRSORT.

%	N. Nguyen, July 95, 18/09/95
global tlim
%find every axis belonging to any figure with an Ematools tag  
h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');
h_labelaxis = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Tag','LAB')
%h_audio = get(findobj('UserData','AUD'),'Parent');

h_mrkr = findobj(h_labelaxis,'Type','line','Tag','MarkerLine');

mrkr = zeros(length(h_mrkr),1);
label = cell(length(h_mrkr),1);

%Load all the mrkr times
for i = 1:length(h_mrkr)
  pos = get (h_mrkr(i),'Xdata')
  mrkr(i) = pos(1);
  
end
%sort them in chronological order
[tmp,index] = sort(mrkr);
mrkr = [0.0 tmp' ]'
mrkrend = [tmp' tlim(2)]'

if nargin == 0

  [filename,pathname] = uiputfile ('*.lab','Save Markers');

  if filename == 0
    return;
  else
    filename = [pathname filename];
  end

end

if isempty(findstr(filename,'.'))
  filename = [filename '.lab'];
end
if exist(filename)

  setstr(7);
  fprintf(1,'File %s already exists.\n',filename);
  fprintf(1,'Appending markers to the end of the file.\n');

end

fid = fopen(filename,'at');

%fprintf(fid,'%f %f\n',mrkr(1),mrkrend(1));

for i = 1:length(h_mrkr)
  h_label = get(h_mrkr(index(i)),'UserData')
  label = get(h_label,'String');  
  fprintf(fid,'%f %f %s\n',mrkr(i+1),mrkrend(i+1), char(label));
end

tlim
fclose(fid);

