function plot_session_mean
%---------------------------------------------------
% This macro takes a list of ema files and calculates the 
% It also takes a list of EMA files and generates the following:
% 2 principal components from the lip coils
% 4 principal components from the tongue coils
% 1 principal component from the velum coil
% 1 principal component from the jaw
% r.m.s laryngograph value
% generating conversion matrices
%
%	Alan Wrench Feb 2000
%----------------------------------------------------

name = 'artmess';
name = input ('filename prefix of files to be corrected(default: artmess): ','s');
if strcmp(name, '')
	name = 'artmess';
end
i1 = '1';
i1 = input ('from item # (default: 1): ','s');

if strcmp(i1,'')
  i1 = '1';
end
i2 = '1';
i2 = input ('to item # (default: 1): ','s');

if strcmp(i2,'')
  i2 = '1';
end
X = [];

for k = str2num(i1):str2num(i2)

%---------------------------------------------
% LOADING EMA TRACKS

%convert item to 3 digit ascii
item = num2str(k);
full_num = '000';
l = length (item);
shift = 3 - l;
for j = 1:l
  full_num (j+shift) = item (j);
end
item = full_num;

tlim = [0 0];

filename = [name '_' item '.ema'];

if exist(filename,'file')

%raw unscaled output
   mode = 'r';
%unlimited samples
   nmax = -1;
% skip no samples at start of file
   nskip = 0;
   [tmp_ema, ema_sr, ffmt, t] = readest(filename,mode,nmax,nskip);

   tmp_chan =ffmt{5};

% sort xxxxxyyyyyxxxxxyyyyy to xxxxxxxxxxyyyyyyyyyy
ema = [];ema_chan = [];
[nchans,labelSize] = size(tmp_chan);
j=1;
for i= 1:5
        ema(:,j)= tmp_ema(:,i);
        ema_chan(j,:) = tmp_chan(i,:);
        j=j+1;
end
for i= 11:15
        ema(:,j)= tmp_ema(:,i);
        ema_chan(j,:) = tmp_chan(i,:);
        j=j+1;
end
for i= 6:10
        ema(:,j)= tmp_ema(:,i);
        ema_chan(j,:) = tmp_chan(i,:);
        j=j+1;
end
for i= 16:20
        ema(:,j)= tmp_ema(:,i);
        ema_chan(j,:) = tmp_chan(i,:);
        j=j+1;
end

tmp_chan=char(ema_chan);
ema_chan= tmp_chan;
clear tmp_chan;

ema_scaling = 0.01;
tmp_ema = ema_scaling*ema;
X = tmp_ema;

k
   for i=1:size(ema_chan,1)
      switch ema_chan(i,:)
        case 'ul_x'
                ul_x=i;
        case 'ul_y'
                ul_y=i;
        case 'll_x'
                ll_x=i;
        case 'll_y'
                ll_y=i;
        case 'tt_x'
                tt_x=i;
        case 'tt_y'
                tt_y=i;
        case 'tb_x'
                tb_x=i;
        case 'tb_y'
                tb_y=i;
        case 'td_x'
                td_x=i;
        case 'td_y'
                td_y=i;
        case 'li_x'
                li_x=i;
        case 'li_y'
                li_y=i;
        case 'v_x '
                v_x=i;
        case 'v_y '
                v_y=i;
      end
   end

%ema = X(:,[ul_x ll_x li_x tt_x tb_x td_x v_x ul_y ll_y li_y tt_y tb_y td_y v_y]);

%-------------------------------------------
%--------------------------------------------

%ema = X(:,[v_x v_y]);
%ema = X(:,[tt_x tb_x td_x tt_y tb_y td_y]);
ema = X(:,[ul_x ll_x ul_y ll_y]);
%-------------------------------------------
m(k,:) = mean(ema);
size_ema = size(ema)
N=length(ema)
ema = ema - ones(N,1)*m(k,:);              % Centre X
%S = ema'*ema/N;                       % Sample covariance
%size_S = size(S)
%size(diag(S))
v(k,:) = var(ema);
else
   fprintf('Filename: %s not present\n',filename);
end

end
figure;
plot(m);
figure;
plot(v);
%--------------------------------------------

ema = X(:,[tt_x tb_x td_x tt_y tb_y td_y]);
%-------------------------------------------
%--------------------------------------------

ema = X(:,[li_x li_y]);
%-------------------------------------------

%--------------------------------------------

ema = X(:,[ul_x ll_x ul_y ll_y]);
%-------------------------------------------
