function plotema(prof,t)

% PLOTEMA: plot x and y coordinates of the tongue coils at the cursor location.
%
%	See also: EMAFIG, DISPEMA.

%	N. Nguyen, July 95, 18/09/95

global ema_sr ema plot_coils tongue_coils ema_prof

switch prof
  case 'EMA1',
  h_ema = [findobj('UserData','EMA1a');
           findobj('UserData','EMA1b')];
  case 'EMA2',
  h_ema = [findobj('UserData','EMA2a');
           findobj('UserData','EMA2b')];
end

if isempty(h_ema) | ~exist('ema_sr') | ~exist('ema')
  return;
end

t = floor(t * ema_sr) + 1;

if t > length(ema)
  return;
end

coord = ema(t,:);

ncoord = length(coord);
ncoils = ncoord / 2;

x = coord(1:ncoils);
y = coord(ncoils+1:ncoord);

x_prof = x(1,plot_coils);
y_prof = y(1,plot_coils);

set(h_ema(1),'XData',x_prof,'YData',y_prof);
set(h_ema(2),'XData',x(1,tongue_coils),...
             'YData',y(1,tongue_coils));


