function plotepg(pat,t)

% PLOTEPG: display the EPG frame corresponding to the current cursor's location.
%
%	See also: DISPEPG, EPGFIG, EPGINDEX.

%	N. Nguyen, July 95, 18/09/95

global epg epg_sr epg_pal

h_pat = findobj('UserData',pat);

if isempty(h_pat) | ~exist('epg_sr')
  return;
end

t = floor(t * epg_sr) + 1;

x = epg_pal(:,1);
y = -epg_pal(:,2);

if t > size(epg,1)
  return;
end

pattern = epg(t,:);

x = x(find(pattern == 1));
y = y(find(pattern == 1));

set(h_pat,'XData',x,'YData',y);

