function prsetup

% PRSETUP: set up print command
%
%        See also: PRINTFIG.

%        N. Nguyen, July 96.

if isempty(fndwin('EMA Tools'))
  fprintf(1,'\nEMA Tools is not running.\n');
  return;
end

pos = get(0,'ScreenSize');

h_fig = figure('position',[pos(3)/2-180 pos(4)/2-37 360 75],'Name',...
           'Print Setup','NumberTitle','off','resize','off',...
           'UserData','EMA Tools');

uicontrol(h_fig,'Style','text','Units','Normal','Position',[.05 .5 .4 .3],...
              'String','Print command:','HorizontalAlignment','left');

callbackstring = [...
  'h_menu = findobj(''Type'',''uimenu'',''Label'',''Print'');'...
  'print_cmd1 = get(h_menu,''UserData'');'...
  'print_cmd2 = get(get(gcf,''CurrentObject''),''String'');'...
  'print_cmd = str2mat(print_cmd1(1,:),print_cmd2);'...
  'set(h_menu,''UserData'',print_cmd);'];

uicontrol(h_fig,'Style','edit','Units','Normal','Position',...
            [.5 .5 .4 .3],'String','print -dpsc2 -Pqmc1','Max',1,...
            'HorizontalAlignment','left','Callback',callbackstring);

uicontrol(h_fig,'Style','text','Units','Normal','Position',[.05 .1 .4 .3],...
              'String','Paper orientation:','HorizontalAlignment','left');

callbackstring = [...
  'h_menu = findobj(''Type'',''uimenu'',''Label'',''Print'');'...
  'print_cmd1 = get(h_menu,''UserData'');'...
  'orientation = str2mat(''portrait'',''tall'',''landscape'');'...
  'orientation = orientation(get(get(gcf,''CurrentObject''),''Value''),:);'...
  'print_cmd = str2mat([''orient '' orientation],print_cmd1(2,:));'...
  'set(h_menu,''UserData'',print_cmd);'];

uicontrol(h_fig,'Style','popup','Units','Normal','Position',...
            [.5 .1 .4 .3],'String','Portrait|Portrait tall|Landscape',...
            'HorizontalAlignment','left','Callback',callbackstring);

