function rem_sndplay(region)

% REM_SNDPLAY: play all or part of the audio signal on local machine
%              The name of the host machine (ex.: ursa.cus.cam.ac.uk)
%              and the name of the user on this machine (ex.: nn206)
%              have to be specified in the file .rhosts in the user's
%              $HOME directory on the local machine.
%              The name of the local machine (ex.: mimi.ling.cam.ac.uk
%              has to be stored in the global variable REMOTEHOST.

%	N. Nguyen, July 95, 18/09/95

global aud_sr REMOTEHOST

h_audio = findobj('UserData','AUD');
h_audio_axes = get(h_audio,'Parent');

A = get(h_audio,'YData');

xlim = get(h_audio_axes,'XLim');
xmin = xlim(1);
xmax = xlim(2);

t1 = round(xmin * aud_sr) + 1;
t2 = round(xmax * aud_sr) + 1;

[fid,message] = fopen('/tmp/junk001','w');

if fid == -1
  disp(message);
  return;
end

if strcmp(region,'w')

  fwrite(fid,A(t1:t2),'short');

elseif strcmp(region,'f')

  fwrite(fid,A,'short');

end

fclose(fid);

rem_cmd = ['cat /tmp/junk001 | rsh ' REMOTEHOST ' -l noel ' ...
           '/usr/home/noel/utils/rem_play.csh ' sprintf('%d',aud_sr)];

unix(rem_cmd);

delete('/tmp/junk001');




