function [I,t2] = rmsint(A,t,step,win_width)

% RMSINT: compute the root mean square intensity of the audio signal.
%
%	See also: PLOTFFT, ZERCROSS.

%	N. Nguyen, July 95, 18/09/95


aud_period = t(2) - t(1);

nsamp = length(A);

I_period = aud_period * (step - 1);

sample = win_width;

i = 1;

while sample <= nsamp

  frame = A(sample-(win_width-1):sample);

  I(i) = 10 * log10(mean(frame .^ 2));

  sample = sample + step;

  i = i + 1;

end

nsamp = length(I);

t1 = ((win_width-1) * aud_period) / 2;
t2 = t1 + (nsamp - 1) * I_period;

t2 = t1:I_period:t2;

