function saveepg

% SAVEEPG: save EPG pattern corresponding to left cursor (red one)
%
%       See also: SAVEVAL

%       N. Nguyen, July 1997

global epg epg_sr
global FILEROOTNAME

if isempty(epg)
  fprintf(1,'\nEPG data not available.\n');
  return;
end

if isempty(epg_sr);
  fprintf(1,'\nEPG sample rate undefined.\n');
  return;
end

t = crsrloc(1);
sample = floor(t * epg_sr) + 1;
pattern = epg(sample,:);

if exist('FILEROOTNAME')
  item = FILEROOTNAME;
else
  item = ' ';
end

if nargin == 0

  [filename,pathname] = uiputfile ('*.pat','Save Value');

  if filename == 0
    return;
  else
    filename = [pathname filename];
  end

end

if isempty(findstr(filename,'.'))
  filename = [filename '.pat'];
end

fid = fopen(filename,'at');

fprintf(fid,'%s %6.3f %d',item,t,sample);
fprintf(fid,' %d',pattern);
fprintf(fid,'\n');

fclose(fid);

fprintf(1,'%s %6.3f %d',item,t,sample);
fprintf(1,' %d',pattern);
fprintf(1,'\n');
