function saveval(filename)

% SAVEVAL: save value corresponding to left cursor (red one)
%          for the signal displayed in the activated track
%
%       See also: MRKRSAVE

%       N. Nguyen, March 1996

%find every axis belonging to any figure with an Ematools tag  
h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');

global FILEROOTNAME

h_track = gettrack('ACTIVE');
%find selected waveform belonging to this axes 
h_lines = findobj(h_track,'Tag','WaveForm','Selected','On');

if isempty(h_track)
  return;
end

t1 = crsrloc(1);

if exist('FILEROOTNAME')
  item = FILEROOTNAME;
else
  item = 'Data';
end

label = get(get(h_track,'ylabel'),'String');

list = get(h_track,'UserData');
period = list(3);
t = get(h_lines,'XData');
y = get(h_lines,'YData');

t0 = t(1);

samp = floor((t1 - t0) / period) + 1;

y = y(samp);
item
label
t1
y

string = sprintf('%s: %s t = %f val = %f',item,label,t1,y)

if nargin == 0

  [filename,pathname] = uiputfile ('*.dat','Save Value');

  if filename == 0
    return;
  else
    filename = [pathname filename];
  end

end

if isempty(findstr(filename,'.'))
  filename = [filename '.dat'];
end

fid = fopen(filename,'at');

fprintf(fid,'%s\n',string);

fclose(fid);

fprintf(1,'%s\n',string);


