function loadaud(filename)

% JIMLOAD: load jim's signals
%
%        A. Wrench, Oct 97

global ema epg
global aud_sr tlim h_axes
global ema_sr
global NTRACKS
global h_lines

h_fig = fndwin('EMA Tools');

if isempty(h_fig)
  fprintf(1,'\nEMA Tools is not running\n');
end

if NTRACKS ~= 12 
  NTRACKS = 12; 
  mktracks(NTRACKS); 
end

%if exist('ema')
%  clear global ema;
%end
%
%if exist('epg')
%  clear global epg;
%end

delete(get(findobj('Label','EMA'),'Children'));

% reads item number

%FILEDIR = input ('data directory  (default: current): ','s'); 
%if strcmp(FILEDIR, '')
	FILEDIR =  [pwd '/' ];
%	fprintf('%s\n', FILEDIR);
%end
%
%cd FILEDIR;

name = input ('filename prefix (default: mjn01): ','s');
if strcmp(name, '')
	name = 'mjn01';
end
item = input ('item # (default: 1): ','s');

if strcmp(item,'')
  item = '1';
end

nitems = 99;

if str2num (item) < 1 | str2num (item) > nitems
  error ('wrong item number');
end

%convert item to 2 digit ascii
full_num = '00';
l = length (item);
shift = 2 - l;
for i = 1:l
  full_num (i+shift) = item (i);
end
item = full_num;

fprintf('Loading...\n');
filename = [FILEDIR name '.' item '.bin'];
fprintf('%s\n', filename);
fid = fopen(filename,'r');

y = fread(fid,'short');

t = tscale(y,aud_sr);

dispsig(y,t,'amplitude',1,'AUD');
dispspec(y,t,'frequency',3,'SGM');
filename = [FILEDIR name '.' item '.lar'];
fprintf('%s\n', filename);
if exist(filename,'file')
fid = fopen(filename,'r');

y = fread(fid,'short');

t = tscale(y,aud_sr);

dispsig(y,t,'amplitude',2,'LAR');
end

tlim = [0 t(length(t))];

set(h_axes,'XLim',tlim);

set(h_fig,'Name',['EMA Tools: ' name]);

%---------------------------------------------
%function loadema(filename)


filename = [FILEDIR name '.' item '.ema'];
fprintf('%s\n', filename);
eval(['load ' filename ' -mat;']);
%-------------------------------
%Load EMA tracks into EMA menu
M = findobj('Label','EMA');

delete(get(M,'Children'));

for j = 1:size(ema_chan,1)

  callbackstring = [...
    'label = get(gcbo,''Label'');'...
    'y = get(gcbo,''UserData'');'...
    'global ema_sr; t = tscale(y,ema_sr);'...
    'dispsig(y,t,label);'];
 
    uimenu(M,'Label',ema_chan(j,:),'Callback',callbackstring,...
             'UserData',ema(:,j));
  
end
%-----------------------------------------
t = tscale(ema,ema_sr);

%display track 13 on channel 4
%dispsig(ema(:,13),t,ema_chan(13,:),4,'TIM');

%display track 14 on channel 5
%dispsig(ema(:,14),t,ema_chan(14,:),5,'TIM');

%display track 15 on channel 4
dispsig(ema(:,2),t,ema_chan(2,:),4,'TIM');

%display track 16 on channel 5
dispsig(ema(:,12),t,ema_chan(12,:),5,'TIM');
 
%display track 17 on channel 6
dispsig(ema(:,8),t,ema_chan(8,:),6,'TIM');
 
%display track 18 on channel 7
dispsig(ema(:,18),t,ema_chan(18,:),7,'TIM');
 
%display track 19 on channel 8
dispsig(ema(:,17),t,ema_chan(17,:),8,'TIM');
 
%display distance from jaw to velum on channel 9
%  y1 = ema(:,2);
%  t1 = t;
%  y2 = ema(:,12);
%  y3 = ema(:,8);
%  y4 = ema(:,18);
%  [yy,t2] = absdist(y1,y2,y3,y4,t1);
%  dispsig(yy,t2,'scal. dist.',9);

%display distance from jaw to fixed point on channel 9
  y1 = ema(:,2);
  t1 = t;
  y2 = ema(:,12);
  y3 = ones(length(y1),1) * 70;
  y4 = ones(length(y2),1) * 120;
  [yy,t2] = absdist(y1,y2,y3,y4,t1);
  dispsig(yy,t2,'jaw',9);

%display distance from velum to fixed point on channel 10
  y1 = ema(:,8);
  t1 = t;
  y2 = ema(:,18);
  %y3 = ones(length(y1),1) * 100;
  %y4 = ones(length(y2),1) * 150;
  y3 = ones(length(y1),1) * 80;
  y4 = ones(length(y2),1) * 130;
  [yyy,t2] = absdist(y1,y2,y3,y4,t1);
%  yyy = yyy * 1.2;
  dispsig(yyy,t2,'velum',10);

%display distance from tt to tb to td on channel 11
  y1 = ema(:,7);
  t1 = t;
  y2 = ema(:,17);
  y3 = ema(:,6);
  y4 = ema(:,16);
  [tdist1,t2] = absdist(y1,y2,y3,y4,t1);
  y1 = ema(:,6);
  t1 = t;
  y2 = ema(:,16);
  y3 = ema(:,5);
  y4 = ema(:,15);
  [tdist2,t2] = absdist(y1,y2,y3,y4,t1);
  tdist = tdist1;
  tdepth =  400 ./ tdist;
  dispsig(tdepth,t2,'t.depth',12);

%display distance from tongue dorsum to fixed point on channel 11
  y1 = ema(:,7);
  t1 = t;
  y2 = ema(:,17);
  %y3 = ones(length(y1),1) * 140;
  %y4 = ones(length(y2),1) * 170;
  y3 = ones(length(y1),1) * 60;
  y4 = ones(length(y2),1) * 140;
  [yyyy,t2] = absdist(y1,y2,y3,y4,t1);
  dispsig(yyyy,t2,'dorsum',11);

%display difference between tracks 10 and 9 on channel 8
%dif = yyy - yy;
%dispsig(dif,t,'vel-jaw dif',8,'TIM');
dif = yyyy + tdepth;
dispsig(dif,t,'td-depth',8,'TIM');
 

%display difference between tracks 11 and 8 on channel 7
dif = yyyy + dif;
dispsig(dif,t,'vel-jaw+tdx',7,'TIM');
 
%------------------------------------------
%Load EPG data

filename = [FILEDIR name '.' item '.ep2'];
fprintf('%s\n', filename);

    fid = fopen(filename,'r');
    dummy = fread(fid,'short');
    nbits = 16 * length(dummy);
    frewind(fid);
    [epg,count] = fread(fid,nbits,'ubit1');
    if count ~= nbits
      fprintf(1,'Warning: %d bits read for %s.epg.raw\n',count,filename);
    end
    nbits = count;
    nframes = nbits / 96;
    epg = reshape(epg,96,nframes);
    epg = fliplr(epg');
    epg = epg(:,33:96);
    epg(:,[1 8]) = [];
