function specfig

% SPECFIG: create/refresh Audio tools window.
%
%	In this window are displayed audio Spectrograms computed between the
%	cursors' locations along the time axis.

%	A. Wrench, Dec 1999

%global NTRACKS  h_axes
h_fig = findobj(0,'Tag','EmaTools-Waveform');
%find every axis belonging to any figure with an Ematools tag  
h_axes = findobj(h_fig,'Type','axes');


trackNum = 1;

%if isempty(h_fig)
   
  figure('Position',[0, 300, 450, 200]);
%else figure(h_fig)
%end
	

  set(gcf,'Color','w');

  %M = uimenu('Label','Main');

  set(gcf,'Name','Spectrogram','NumberTitle','off','Tag','EmaTools-Waveform');

% ------------------------------------------------------------------------------
% edit menu

M = uimenu('Label','Functions');

%callbackstring = [...
%  'global h_lines;'...
%  'ntrack = fndtrack(''ACTIVE'');'...
%  'if isempty(ntrack); return; end;'...
%  'y = get(h_lines(ntrack),''YData'');'...
%  't = get(h_lines(ntrack),''XData'');'...
%  'editsig(y,t);'];

%uimenu(M,'Label','Edit Signal','Callback',callbackstring);

uimenu(M,'Label','Clear Track','Accelerator','t',...
         'Callback','clrtrack');

callbackstring = [...
  'clrtrack(1);'];

uimenu(M,'Label','Clear All','Callback',callbackstring);

uimenu(M,'Label','Create Marker','Accelerator','m',...
         'Callback','mrkrmake;','Separator','on');

uimenu(M,'Label','Sort Markers','Callback','mrkrsort;');

uimenu(M,'Label','Move Marker','Callback','mrkrmove;');

uimenu(M,'Label','Delete Marker','Accelerator','d',...
         'Callback','mrkrdel');

%uimenu(M,'Label','Find Extremum','Accelerator','e',...
%         'Callback','extremum','Separator','on');

%uimenu(M,'Label','Find abs. min.','Accelerator','i',...
%         'Callback','absmin');

uimenu(M,'Label','Find EPG alv. clos.','Callback','epglmark(''ALV_CLOS'');');

uimenu(M,'Label','Find EPG alv. rel.','Callback','epglmark(''ALV_REL'');');

uimenu(M,'Label','Find EPG vel. clos.','Callback','epglmark(''VEL_CLOS'');');

uimenu(M,'Label','Find EPG vel. rel.','Callback','epglmark(''VEL_REL'');');

%uimenu(M,'Label','Vert. zoom / in','Callback','zoomy(''in'')');

%uimenu(M,'Label','Vert. zoom / out','Callback','zoomy(''full'')');

%uimenu(M,'Label','Save EMA to ASCII file','Callback','zoomy(''full'')');

uimenu(M,'Label','Movie','Accelerator','b','Separator','on',...
         'Callback','movies');


% ------------------------------------------------------------------------------
% audio menu

M = uimenu('Label','Audio');

uimenu(M,'Label','Play Between Cursors','Accelerator','z',...
         'Callback','sndplay(''w'')','Separator','on');

uimenu(M,'Label','Play Entire Window','Accelerator','f',...
         'Callback','sndplay(''f'')');

% ------------------------------------------------------------------------------


  %callbackstring = ['close(findobj(''Tag'',''EmaTools-Spectrogram''));'];
			

  %uimenu('Label','Quit','Accelerator','q','Callback',callbackstring,...
  %       'Separator','on');


h_track = gettrack('ACTIVE');
mktracks(1,'EmaTools-Waveform');
%h_audio = findobj('UserData','AUD');
h_waveform = findobj(h_track,'Tag','WaveForm','Selected','On');
audio = get(h_waveform,'YData');
t = get(h_waveform,'XData');
% Display spectrogram of acoustic signal(s)
dispspec(audio',t,'',1,'SGM');
%zoomx('full');
%   trackNum = trackNum+1;




%else

% set(findobj('UserData','SGM'),'XData',f,'YData',ones(ncomp,1));


