function loadaud(filename)

% SPECPLOTFEG: load feg's signals
%
%        A. Wrench, Feb 99

global ema epg
global aud_sr tlim h_axes
global ema_sr
global NTRACKS
global h_lines

h_fig = fndwin('EMA Tools');

if isempty(h_fig)
  fprintf(1,'\nEMA Tools is not running\n');
end

if NTRACKS ~= 9 
  NTRACKS = 9; 
  mktracks(NTRACKS); 
end

%if exist('ema')
%  clear global ema;
%end
%
%if exist('epg')
%  clear global epg;
%end

delete(get(findobj('Label','EMA'),'Children'));

% reads item number

%FILEDIR = input ('data directory  (default: current): ','s'); 
%if strcmp(FILEDIR, '')
	FILEDIR =  [pwd '/' ];
%	fprintf('%s\n', FILEDIR);
%end
%
%cd FILEDIR;

name = input ('filename prefix (eg. hs151001,hs151002,im141002): ','s');
if strcmp(name, '')
	name = '';
end
item = input ('item # (default: 1): ','s');

if strcmp(item,'')
  item = '1';
end

nitems = 99;

if str2num (item) < 1 | str2num (item) > nitems
  error ('wrong item number');
end

%convert item to 3 digit ascii
full_num = '000';
l = length (item);
shift = 3 - l;
for i = 1:l
  full_num (i+shift) = item (i);
end
item = full_num;

fprintf('Loading...\n');
filename = [FILEDIR name '.' item '.bin'];
fprintf('%s\n', filename);
fid = fopen(filename,'r');

y = fread(fid,'short');

t = tscale(y,aud_sr);

% Acoustic signal on track 1
dispsig(y,t,'',1,'AUD');
%remove track 2
set(h_axes(2),'Visible','off');
%spectrogram on track3 taing up space from track 2 and 3
dispspec(y,t,'frequency',3,'SGM');
set(h_axes(3),'YTickLabelMode','auto');
filename = [FILEDIR name '.' item '.lar'];
fprintf('%s\n', filename);
if exist(filename,'file')
fid = fopen(filename,'r');

y = fread(fid,'short');

t = tscale(y,aud_sr);

%dispsig(y,t,'lar',3,'LAR');
end

tlim = [0 t(length(t))];

set(h_axes,'XLim',tlim);

set(h_fig,'Name',['EMA Tools: ' name]);

%---------------------------------------------
%function loadema(filename)


filename = [FILEDIR name '.' item '.ema'];
fprintf('%s\n', filename);
eval(['load ' filename ' -mat;']);
%-------------------------------
%Load EMA tracks into EMA menu
M = findobj('Label','EMA');

delete(get(M,'Children'));

for j = 1:size(ema_chan,1)

  callbackstring = [...
    'label = get(gcbo,''Label'');'...
    'y = get(gcbo,''UserData'');'...
    'global ema_sr; t = tscale(y,ema_sr);'...
    'dispsig(y,t,label);'];
 
    uimenu(M,'Label',ema_chan(j,:),'Callback',callbackstring,...
             'UserData',ema(:,j));
  
end
%-----------------------------------------
t = tscale(ema,ema_sr);

%display channel 13 on track 4
dispsig(ema(:,13),t,ema_chan(13,:),4,'TIM');

%display channel 14 on track 5
dispsig(ema(:,14),t,ema_chan(14,:),5,'TIM');

%display channel  15 on track 6
dispsig(ema(:,15),t,ema_chan(15,:),6,'TIM');

%display channel  16 on track 7
dispsig(ema(:,16),t,ema_chan(16,:),7,'TIM');
 
%display channel  17 on track 8
dispsig(ema(:,17),t,ema_chan(17,:),8,'TIM');
 
%display channel  18 on track 9
dispsig(ema(:,18),t,ema_chan(18,:),9,'TIM');

%display channel  17 on track 8
%dispsig(ema(:,17),t,ema_chan(17,:),8,'TIM');
 
%display distance from jaw to velum on channel 9
%  y1 = ema(:,2);
%  t1 = t;
%  y2 = ema(:,12);
%  y3 = ema(:,8);
%  y4 = ema(:,18);
%  [yy,t2] = absdist(y1,y2,y3,y4,t1);
%  dispsig(yy,t2,'scal. dist.',9);

%display distance from jaw to fixed point on channel 4
%  y1 = ema(:,10);
%  t1 = t;
%  y2 = ema(:,20);
%  y3 = ones(length(y1),1) * 70;
%  y4 = ones(length(y2),1) * 120;
%  [jaw,t2] = absdist(y1,y2,y3,y4,t1);
%  dispsig(jaw,t2,'jaw',5);
%  set(h_axes(5),'YTickLabelMode','auto');

%display distance from velum to fixed point on channel 3
%  y1 = ema(:,8);
%  t1 = t;
%  y2 = ema(:,18);
%  y3 = ones(length(y1),1) * 130;
%  y4 = ones(length(y2),1) * 190;
%  [yyy,t2] = absdist(y1,y2,y3,y4,t1);
%  dispsig(-yyy,t2,'velum',4);
%  set(h_axes(4),'YTickLabelMode','auto');

%display distance between lips on channel 5
%  y1 = ema(:,3);
%  t1 = t;
%  y2 = ema(:,13);
%  y3 = ema(:,4);
%  y4 = ema(:,14);
%  [lips,t2] = absdist(y1,y2,y3,y4,t1);
%  dispsig(-lips,t2,'lips',6);
%  set(h_axes(6),'YTickLabelMode','auto');

%display distance from tongue dorsum to fixed point on channel 6
%  y1 = ema(:,5);
%  t1 = t;
%  y2 = ema(:,15);
%  y3 = ones(length(y1),1) * 90;
%  y4 = ones(length(y2),1) * 140;
%  [ttip,t2] = absdist(y1,y2,y3,y4,t1);
%  dispsig(ttip,t2,'tip/blade',7);
%  set(h_axes(7),'YTickLabelMode','auto');

%display distance from tongue dorsum to fixed point on channel 8
%  y1 = ema(:,7);
%  t1 = t;
%  y2 = ema(:,17);
%  y3 = ones(length(y1),1) * 150;
%  y4 = ones(length(y2),1) * 190;
%  [tdstyl,t2] = absdist(y1,y2,y3,y4,t1);
%  dispsig(-tdstyl,t2,'dorsum-SG',9);
%  set(h_axes(9),'YTickLabelMode','auto');
%  [stylvel,t2] = deriv(-tdstyl,t1,'vel');
%  [stylvelsm,t3] = smooth(stylvel,t2,11);
%  [stylacc,t4] = deriv(stylvelsm,t3,'vel');


%display distance from tongue dorsum to fixed point on channel 7
%  y1 = ema(:,7);
%  t1 = t;
%  y2 = ema(:,17);
%  y3 = ones(length(y1),1) * 100;
%  y4 = ones(length(y2),1) * 200;
%  [tdpal,t2] = absdist(y1,y2,y3,y4,t1);
%  dispsig(-tdpal,t2,'dorsum-PG',8);
%  set(h_axes(8),'YTickLabelMode','auto');
%  [palvel,t2] = deriv(-tdpal,t1,'vel');

%display difference between tracks 10 and 9 on channel 8
%dif = yyy - yy;
%dispsig(dif,t,'vel-jaw dif',8,'TIM');
%dif = yyyy + tdepth;
%dispsig(dif,t,'td-depth',8,'TIM');
 

%display difference between td-palatoglosus and jaw on channel 8
%dif = tdpal - jaw;
%dispsig(-dif,t,'tdpal-jaw',8,'TIM');
 
%------------------------------------------
%Load EPG data

filename = [FILEDIR name '.' item '.ep2'];
fprintf('%s\n', filename);

    fid = fopen(filename,'r');
    dummy = fread(fid,'short');
    nbits = 16 * length(dummy);
    frewind(fid);
    [epg,count] = fread(fid,nbits,'ubit1');
    if count ~= nbits
      fprintf(1,'Warning: %d bits read for %s.epg.raw\n',count,filename);
    end
    nbits = count;
    nframes = nbits / 96;
    epg = reshape(epg,96,nframes);
    epg = fliplr(epg');
    epg = epg(:,33:96);
    epg(:,[1 8]) = [];
