function loadaud(filename)

% JIMLOAD: load jim's signals
%
%        A. Wrench, Oct 97

global ema epg
global aud_sr tlim h_axes
global ema_sr
global NTRACKS
global h_lines

ema_sr = 1000;
h_fig = fndwin('EMA Tools');

if isempty(h_fig)
  fprintf(1,'\nEMA Tools is not running\n');
end

if NTRACKS ~= 3 
  NTRACKS = 3; 
  mktracks(NTRACKS); 
end

%if exist('ema')
%  clear global ema;
%end
%
%if exist('epg')
%  clear global epg;
%end

delete(get(findobj('Label','EMA'),'Children'));

% reads item number

%FILEDIR = input ('data directory  (default: current): ','s'); 
%if strcmp(FILEDIR, '')
	FILEDIR =  [pwd '/' ];
%	fprintf('%s\n', FILEDIR);
%end
%
%cd FILEDIR;

name = input ('filename prefix (default: jim1): ','s');
if strcmp(name, '')
	name = 'jim1';
end
item = input ('item # (default: 1): ','s');

if strcmp(item,'')
  item = '1';
end

nitems = 99;

if str2num (item) < 1 | str2num (item) > nitems
  error ('wrong item number');
end

%convert item to 2 digit ascii
full_num = '00';
l = length (item);
shift = 2 - l;
for i = 1:l
  full_num (i+shift) = item (i);
end
item = full_num;

fprintf('Loading...\n');
filename = [FILEDIR name '.' item '.bin'];
fprintf('%s\n', filename);
fid = fopen(filename,'r');

y = fread(fid,'short');

t = tscale(y,aud_sr);

dispsig(y,t,'amplitude',1,'AUD');

tlim = [0 t(length(t))];

set(h_axes,'XLim',tlim);

set(h_fig,'Name',['EMA Tools: ' name]);

%---------------------------------------------
%function loadema(filename)


filename = [FILEDIR name '.' item '.ema'];
fprintf('%s\n', filename);
eval(['load ' filename ' -mat;']);
%-------------------------------
%Load EMA tracks into EMA menu
M = findobj('Label','EMA');

delete(get(M,'Children'));

for j = 1:size(ema_chan,1)

  callbackstring = [...
    'label = get(gcbo,''Label'');'...
    'y = get(gcbo,''UserData'');'...
    'global ema_sr; t = tscale(y,ema_sr);'...
    'dispsig(y,t,label);'];
 
    uimenu(M,'Label',ema_chan(j,:),'Callback',callbackstring,...
             'UserData',ema(:,j));
  
end
%-----------------------------------------
t = tscale(ema,ema_sr);

%display track 7 on channel 2
%dispsig(ema(:,7),t,ema_chan(7,:),2,'TIM');

%display track 15 on channel 3
%dispsig(ema(:,15),t,ema_chan(15,:),3,'TIM');

%  label = [ema_chan(1,:) ' - sm'];
%  [yy,t2] = smooth(ema(:,1),t,11);
  dispsig(ema(:,1),t,ema_chan(1,:),2, 'TIM');

  y = get(h_lines(2),'YData');
  t1 = get(h_lines(2),'XData');
  label = get(get(h_axes(2),'ylabel'),'String');
  label = ['vel ' label];
  [yy,t2] = deriv(y,t1,'vel');
  dispsig(yy,t2,label,3);
%
%  label = [ema_chan(13,:) ' - sm'];
%  [yy,t2] = smooth(ema(:,13),t,11);
%  dispsig(yy,t2,label,4, 'TIM');
%
%  y = get(h_lines(4),'YData');
%  t1 = get(h_lines(4),'XData');
%  label = get(get(h_axes(4),'ylabel'),'String');
%  label = ['vel ' label];
%  [yy,t2] = deriv(y,t1,'vel');
%  dispsig(yy,t2,label,5);
%
%%  y1 = get(h_lines(2),'YData');
%  t1 = get(h_lines(2),'XData');
%  y2 = get(h_lines(4),'YData');
%  [yy,t2] = deriv2d(y1,y2,t1,'tgv');
%  dispsig(yy,t2,'tang. vel.',6);
%  [yy,t2] = deriv2d(y1,y2,t1,'dis');
%  dispsig(yy,t2,'integr. dist.',7);
%------------------------------------------
%Load EPG data

filename = [FILEDIR name '.' item '.ep2'];
fprintf('%s\n', filename);

    fid = fopen(filename,'r');
    dummy = fread(fid,'short');
    nbits = 16 * length(dummy);
    frewind(fid);
    [epg,count] = fread(fid,nbits,'ubit1');
    if count ~= nbits
      fprintf(1,'Warning: %d bits read for %s.epg.raw\n',count,filename);
    end
    nbits = count;
    nframes = nbits / 96;
    epg = reshape(epg,96,nframes);
    epg = fliplr(epg');
    epg = epg(:,33:96);
    epg(:,[1 8]) = [];
