function zoomx(swtch)

% ZOOMX: zoom in/out along horizontal scale
%
%	See also: ZOOMLR

%       Dennis W. Brown 1-10-94
%       Copyright (c) 1994 by Dennis W. Brown
%
%	modified version, N. Nguyen, July 95, 18/09/95

%global h_axes
global tlim %tmin tmax
%find every axis belonging to any figure with an Ematools tag  
h_axes = findobj(findobj(0,'Tag','EmaTools-Waveform'),'Type','axes');
%find all tmax tmin and period values for these axes
list = get(h_axes,'Userdata');
for i=1:length(list) 
   tmax(i)=list{i,1}(1,1);
   tmin(i)=list{i,1}(1,2);
   period(i)=list{i,1}(1,3);
end

h_zout = findobj('String','< >');
stack = get(h_zout,'UserData');

if strcmp(swtch,'in')

  t1 = crsrloc(1);
  t2 = crsrloc(2);

  if abs(t2 - t1) < 100*eps
    return;
  end

  if t1 > t2
    t = t1;
    t1 = t2;
    t2 = t;
  end

  old_tlim = get(h_axes(1),'XLim');

  stack = [stack; old_tlim];
  set(h_zout,'UserData',stack);

  tlim = [t1 t2];

  set(h_axes,'XLim',tlim);

elseif strcmp(swtch,'out')

  if isempty(stack)
    return;
  end
  
  n = size(stack,1);

  t1 = stack(n,1);
  t2 = stack(n,2);

  tlim = [t1 t2];

  stack = stack(1:n-1,:);

  set(h_zout,'UserData',stack);

  set(h_axes,'XLim',tlim);

elseif strcmp(swtch,'full')

  set(h_zout,'UserData',[]);

  tlim = [tmin(1) tmax(1)];

  set(h_axes,'XLim',tlim);

end

