function zoomy(swtch)

% ZOOMY: zoom in/out along vertical scale
%
%	See also: ZOOMLR, ZOOMX

%       N. Nguyen, 07/96

global h_axes h_lines h_crsr tlim tmin tmax

ntrack = fndtrack('ACTIVE');

if isempty(ntrack)
  return;
end

h_mrkr = findobj(h_axes(ntrack),'Tag','MarkerLine');

t = get(h_lines(ntrack),'XData');
y = get(h_lines(ntrack),'YData');

if strcmp(swtch,'in')

  period = get(get(h_axes(ntrack),'xlabel'),'UserData');

  samp1 = floor((tlim(1) - t(1)) / period) + 1;
  samp2 = floor((tlim(2) - t(1)) / period) + 1;

  ymin = min(y(samp1:samp2));
  ymax = max(y(samp1:samp2));

elseif strcmp(swtch,'full')

  ymin = min(y);
  ymax = max(y);

end

set(h_axes(ntrack),'YLim',[ymin ymax]);
set(h_crsr(ntrack,:),'YData',[ymin ymax]);
set(h_mrkr,'YData',[ymin ymax]);


